package com.hz.pm.api.common.config;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.module.SimpleModule;
import org.springframework.boot.autoconfigure.AutoConfigureAfter;
import org.springframework.context.annotation.Configuration;

import java.io.IOException;
import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * <p>
 * ConfigurerAdapterPostConfig
 * </p>
 *
 * @author WendyYang
 * @since 17:18 2024/8/21
 */
@Configuration
@AutoConfigureAfter(ConfigurerAdapter.class)
public class ConfigurerAdapterPostConfig {

    public ConfigurerAdapterPostConfig(ObjectMapper objectMapper) {
        SimpleModule module = new SimpleModule();
        module.addSerializer(BigDecimal.class, new JsonSerializer<BigDecimal>() {
            @Override
            public void serialize(BigDecimal value, JsonGenerator gen, SerializerProvider serializers) throws IOException {
                if (value != null) {
                    gen.writeString(value.setScale(2, RoundingMode.HALF_UP).toPlainString());
                } else {
                    gen.writeNull();
                }
            }
        });
        objectMapper.registerModule(module);
    }

}
