package com.hz.pm.api.common.config;

import com.google.common.collect.Lists;
import com.hz.pm.api.scheduler.listener.TaskCreatedListener;
import lombok.RequiredArgsConstructor;
import org.flowable.common.engine.api.delegate.event.FlowableEventListener;
import org.flowable.spring.SpringProcessEngineConfiguration;
import org.flowable.spring.boot.EngineConfigurationConfigurer;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * <p>
 * FlowableConfig
 * </p>
 *
 * @author WendyYang
 * @since 12:16 2024/3/12
 */
@RequiredArgsConstructor
@Configuration("customFlowableConfig")
public class CustomFlowableConfig implements EngineConfigurationConfigurer<SpringProcessEngineConfiguration> {

    private final TaskCreatedListener taskCreatedListener;

    @Override
    public void configure(SpringProcessEngineConfiguration engineConfiguration) {
        List<FlowableEventListener> listeners = engineConfiguration.getEventListeners();
        if (listeners == null) {
            engineConfiguration.setEventListeners(Lists.newArrayList(taskCreatedListener));
        } else {
            engineConfiguration.getEventListeners().add(taskCreatedListener);
        }
    }

}