package com.hz.pm.api.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;
import org.springframework.stereotype.Component;

/**
 * <p>
 * ThreadPoolUtilProperties
 * </p>
 *
 * @author WendyYang
 * @since 23:40 2024/8/23
 */
@Data
@Component
@ConfigurationProperties(prefix = "thread-pool-util")
public class ThreadPoolUtilProperties {

    @NestedConfigurationProperty
    private ThreadPoolProperties request;

    @NestedConfigurationProperty
    private ThreadPoolProperties scheduler;

    @Data
    public static class ThreadPoolProperties {

        private Integer corePoolSize;

        private Integer maxPoolSize;

        private String threadNamePrefix = "thread-pool-util-";

        private Boolean allowCoreThreadTimeOut = false;

        private Boolean waitForTasksToCompleteOnShutdown = true;

        private Integer queueCapacity;

        private Integer keepAliveSeconds;

    }

}
