package com.hz.pm.api.common.model.constant;

import com.google.common.collect.Lists;

import java.util.List;

/**
 * <p>
 * RegionConst
 * </p>
 *
 * @author WendyYang
 * @since 13:57 2023/3/1
 */
public interface RegionConst {

    //---------------------------------------地区层级(缩写RL)-------------------------------------------------------------

    int RL_PROVINCE = 1;

    int RL_CITY = 2;

    int RL_COUNTY = 3;

    //---------------------------------------地区编码(缩写RC)-------------------------------------------------------------

    /**
     * 杭州市行政区划编码
     */
    String RC_HZ = "330100";
    //丽水开发区
    String LS_KF = "331118";
    String LS_KF_IRS = "331151";
    String RC_LS_SBJ_IRS = "331101";
    //遂昌县
    String RC_SC = "331123";
    String LS_KF_NAME = "开发区";

    /**
     * 中国行政区划编码
     */
    String RC_CHINA = "100000";


    /**
     * 浙江行政区划编码
     */
    String RC_ZJ = "330000";

    String NINE_CODE_LAST = "000";
    //莲都
    String LD = "331102";
    //青田
    String QT = "331121";
    //缙云
    String JY = "331122";
    //遂昌
    String SC = "331123";
    //松阳
    String SY = "331124";
    //云和
    String YH = "331125";
    //庆元
    String QY = "331126";
    String QN = "331127";
    String LQ = "331181";

    List<String> LS_ARR = Lists.newArrayList(RC_HZ, LS_KF, LD, QT, JY, SC, SY, YH, QY, QN, LQ);

    //----------------------------------------地区父级ID(缩写PID)---------------------------------------------------------

    long PID_CHINA = 0;

}
