package com.hz.pm.api.common.statemachine.action;

import cn.hutool.core.lang.Assert;
import com.hz.pm.api.common.statemachine.event.AbstractStateChangeEvent;
import com.hz.pm.api.common.statemachine.util.TenderStateMachineUtil;
import com.hz.pm.api.projectdeclared.model.entity.Purchase;
import org.springframework.messaging.Message;

/**
 * <p>
 * TenderStateChangeActionUtil
 * </p>
 *
 * @author WendyYang
 * @since 15:30 2024/8/21
 */
public class TenderStateChangeActionUtil {

    private TenderStateChangeActionUtil() {
    }

    public static <E extends AbstractStateChangeEvent> Purchase getPurchaseInfo(Message<E> message) {
        Purchase purchase = (Purchase) message.getHeaders().get(TenderStateMachineUtil.PURCHASE);
        Assert.notNull(purchase, "未获取到需要状态变更的标段信息");
        return purchase;
    }

}
