package com.hz.pm.api.common.statemachine.builder;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.statemachine.StateMachine;
import org.springframework.statemachine.StateMachineException;
import org.springframework.statemachine.persist.StateMachinePersister;

/**
 * <p>
 * 状态机构建基础类
 * </p>
 *
 * @author WendyYang
 * @since 20:52 2024/4/2
 */
public interface BaseStateMachineBuilder<T, E, S> {

    StateMachine<S, E> build() throws StateMachineException;

    /**
     * 构建状态机
     *
     * @param beanFactory \
     * @author CMM
     * @since 2023/02/07 16:15
     */
    StateMachine<S, E> build(BeanFactory beanFactory) throws StateMachineException;

    /**
     * 持久化配置
     *
     * @author CMM
     * @since 2023/02/07 16:22
     */
    StateMachinePersister<S, E, T> stateMachinePersister();

}
