package com.hz.pm.api.common.statemachine.event;

import com.ningdatech.basic.exception.BizException;
import org.apache.commons.lang3.EnumUtils;

import java.util.Objects;

/**
 * <p>
 * BaseTenderAction
 * </p>
 *
 * @author WendyYang
 * @since 18:58 2024/4/2
 */
public interface AbstractStateChangeEvent {

    String name();

    Integer getPassStatusCode();

    Integer getRejectStatusCode();

    Integer getWithdrawStatusCode();

    static <E extends Enum<E> & AbstractStateChangeEvent> E getPassEvent(Class<E> eClass, Integer code) {
        if (Objects.nonNull(code)) {
            for (E t : EnumUtils.getEnumList(eClass)) {
                if (code.equals(t.getPassStatusCode())) {
                    return t;
                }
            }
        }
        throw BizException.wrap("该状态下没有对应的通过操作！");
    }

    static <E extends Enum<E> & AbstractStateChangeEvent> E getRejectEvent(Class<E> eClass, Integer code) {
        if (Objects.nonNull(code)) {
            for (E t : EnumUtils.getEnumList(eClass)) {
                if (code.equals(t.getRejectStatusCode())) {
                    return t;
                }
            }
        }
        throw BizException.wrap("该状态下没有对应的驳回操作！");
    }

    static <E extends Enum<E> & AbstractStateChangeEvent> E getWithdrawEvent(Class<E> eClass, Integer code) {
        if (Objects.nonNull(code)) {
            for (E t : EnumUtils.getEnumList(eClass)) {
                if (code.equals(t.getWithdrawStatusCode())) {
                    return t;
                }
            }
        }
        throw BizException.wrap("该状态下没有对应的撤回操作！");
    }

    default boolean eq(String name){
        return name().equals(name);
    }

}
