package com.hz.pm.api.common.statemachine.event;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * TenderStatusChangeEvent
 * </p>
 *
 * @author WendyYang
 * @since 00:14 2024/2/24
 */
@Getter
@AllArgsConstructor
public enum TestValidStateChangeEvent implements AbstractStateChangeEvent {

    /**
     * 填写测试验证信息
     */
    SUBMIT_TEST_VALID_INFO(3100, null, null),
    /**
     * 测试验证信息审核通过
     */
    TEST_VALID_INFO_PASSED(3101, null, null),
    /**
     * 测试验证信息审核不通过
     */
    TEST_VALID_INFO_FAILED(null, 3101, null),
    /**
     * 重新填写测试验证信息
     */
    RESUBMIT_TEST_VALID_INFO(3102, null, null);


    private final Integer passStatusCode;
    private final Integer rejectStatusCode;
    private final Integer withdrawStatusCode;

}
