package com.hz.pm.api.common.util;

import cn.hutool.core.date.LocalDateTimeUtil;
import cn.hutool.core.util.StrUtil;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;
import java.util.Objects;

/**
 * <p>
 * BizDateUtil
 * </p>
 *
 * @author WendyYang
 * @since 11:24 2024/9/3
 */
public class BizDateUtil {

    private BizDateUtil() {

    }

    public static String toDateStr(LocalDate date) {
        if (date == null) {
            return StrUtil.EMPTY;
        }
        return LocalDateTimeUtil.format(date, "yyyy-MM-dd");
    }

    public static String toDateStr(LocalDateTime date) {
        if (date == null) {
            return StrUtil.EMPTY;
        }
        return LocalDateTimeUtil.format(date, "yyyy-MM-dd");
    }

    public static String toDateTimeStr(LocalDateTime dateTime) {
        if (dateTime == null) {
            return StrUtil.EMPTY;
        }
        return LocalDateTimeUtil.format(dateTime, "yyyy-MM-dd HH:mm:ss");
    }

    public static LocalDateTime convertDate(Date date) {
        if (Objects.nonNull(date)) {
            return date.toInstant().atZone(ZoneId.systemDefault()).toLocalDateTime();
        }
        return null;
    }

}
