package com.hz.pm.api.common.util;

import lombok.AllArgsConstructor;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;

import java.util.Arrays;

/**
 * <p>
 * EnvironmentUtil
 * </p>
 *
 * @author WendyYang
 * @since 11:00 2024/3/26
 */
@Component
@AllArgsConstructor
public class EnvironmentUtil {

    private final Environment environment;

    public boolean isProdEnv() {
        String[] profiles = environment.getActiveProfiles();
        return Arrays.asList(profiles).contains("prod");
    }

    public boolean isTestEnv() {
        String[] profiles = environment.getActiveProfiles();
        return Arrays.asList(profiles).contains("test");
    }

    public boolean isDevEnv() {
        String[] profiles = environment.getActiveProfiles();
        return Arrays.asList(profiles).contains("dev");
    }


}
