package com.hz.pm.api.common.util;

import org.springframework.lang.NonNull;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

import java.util.concurrent.Callable;
import java.util.concurrent.Future;

/**
 * <p>
 * MDCThreadPoolTaskExecutor
 * </p>
 *
 * @author WendyYang
 * @since 2023/10/27
 **/
public class MDCThreadPoolTaskExecutor extends ThreadPoolTaskExecutor {

    @Override
    public @NonNull Future<?> submit(@NonNull Runnable task) {
        return super.submit(MDCThreadUtil.wrap(task));
    }

    @Override
    public void execute(@NonNull Runnable task) {
        super.execute(MDCThreadUtil.wrap(task));
    }

    @Override
    public <T> @NonNull Future<T> submit(@NonNull Callable<T> task) {
        return super.submit(MDCThreadUtil.wrap(task));
    }

}
