package com.hz.pm.api.common.util;

import cn.hutool.core.collection.CollUtil;
import com.hz.pm.api.expert.model.TagFieldInfo;

import java.util.Comparator;
import java.util.List;

/**
 * @author liuxinxin
 * @since 2022/7/28 下午2:14
 */
public class TagUtil {

    private TagUtil() {
    }

    private static final Comparator<TagFieldInfo> COMPARATOR = Comparator.comparing(TagFieldInfo::getTagFieldName)
            .thenComparing(TagFieldInfo::getTagCode);

    public static Boolean isValEq(List<TagFieldInfo> list1, List<TagFieldInfo> list2) {
        if (CollUtil.isEmpty(list1) && CollUtil.isEmpty(list2)) {
            return true;
        }

        boolean collStatusNotEq = (CollUtil.isEmpty(list1) && CollUtil.isNotEmpty(list2))
                || (CollUtil.isEmpty(list2) && CollUtil.isNotEmpty(list1));
        if (collStatusNotEq) {
            return false;
        }
        if (list1.size() != list2.size()) {
            return false;
        }
        list1.sort(COMPARATOR);
        list2.sort(COMPARATOR);

        for (int i = 0; i < list1.size(); i++) {
            if (!StrUtils.trimEquals(list1.get(i).getTagFieldName(), list2.get(i).getTagFieldName())
                    || !StrUtils.trimEquals(list1.get(i).getTagCode(), list2.get(i).getTagCode())) {
                return false;
            }
        }
        return true;
    }
}
