package com.hz.pm.api.dashboard.controller;

import com.hz.pm.api.dashboard.manage.ExpertStatisticsManage;
import com.hz.pm.api.dashboard.manage.ProjectCostStatisticsManage;
import com.hz.pm.api.dashboard.model.vo.CostStatisticsVO;
import com.hz.pm.api.dashboard.model.vo.ExpertStatisticsVO;
import com.hz.pm.api.dashboard.model.vo.FundStatisticsVO;
import com.ningdatech.log.annotation.DataScopeQueryCheck;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author ZPF
 * @date 2023/11/25 上午10:36
 */
@RestController
@RequestMapping("/api/v1/statistics")
@Validated
@RequiredArgsConstructor
@Api(tags = "统计")
public class StatisticsController {

    private final ExpertStatisticsManage expertStatisticsManage;
    private final ProjectCostStatisticsManage costStatisticsManage;

    @DataScopeQueryCheck
    @GetMapping("/expert")
    @ApiOperation("专家统计")
    public ExpertStatisticsVO expert(@RequestParam(required = false) Integer year) {
        return expertStatisticsManage.statistics(year);
    }

    @DataScopeQueryCheck
    @GetMapping("/project-cost")
    @ApiOperation("项目成本统计")
    public CostStatisticsVO projectCost() {
        return costStatisticsManage.statistics();
    }


}
