package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.common.model.entity.DataDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel(value = "项目成本统计", description = "")
public class CostStatisticsVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("累积专家评审费用")
    private BigDecimal reviewAmount = BigDecimal.ZERO;

    @ApiModelProperty("累积专家核价费用")
    private BigDecimal pricingAmount = BigDecimal.ZERO;

    @ApiModelProperty("市本级近两年人工核价费")
    private List<DataDTO> twoYearsPricing;

    @ApiModelProperty("市本级近两年人工评审费")
    private List<DataDTO> twoYearsReviews;

    @ApiModelProperty("市本级近两年平均专家评审/核价费")
    private List<DataDTO> twoYearsAvg;
}