package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.common.model.entity.DataDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "专家统计", description = "")
public class ExpertStatisticsVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("入驻专家总数")
    private Integer total = 0;

    @ApiModelProperty("近一年新增专家数")
    private Integer thisYearAdded = 0;

    @ApiModelProperty("活跃专家数")
    private Integer active = 0;

    @ApiModelProperty("各区县专家数")
    private List<DataDTO> regionExpert;

    @ApiModelProperty("近三年专家数")
    private List<DataDTO> threeYearsAdded;

    @ApiModelProperty("专家类型分布")
    private Map<String,List<DataDTO>> typeDistribution;

    @ApiModelProperty("专家类型")
    private List<DataDTO> types;

    @ApiModelProperty("专家等级")
    private List<DataDTO> levels;
}