package com.hz.pm.api.datascope.provider.impl;

import com.hz.pm.api.datascope.model.DataScopeDTO;
import com.hz.pm.api.datascope.provider.DataScopeProvider;
import com.hz.pm.api.user.model.enumeration.RoleEnum;
import com.hz.pm.api.user.util.LoginUserUtil;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Optional;

/**
 * <p>
 * 数据权限 数据看板角色
 * </p>
 *
 * @author ZPF
 * @since 2023/3/27 23:29
 */
@Slf4j
@Component
@RequiredArgsConstructor
public class DashboardUserDataScopeProviderImpl implements DataScopeProvider {

    @Override
    public RoleEnum findRole() {
        return RoleEnum.DASHBOARD;
    }

    @Override
    public Optional<DataScopeDTO> findDataFieldProperty() {
        DataScopeDTO ds = new DataScopeDTO();
        ds.setUserId(LoginUserUtil.getUserId());
        ds.setRole(RoleEnum.DASHBOARD);
        return Optional.of(ds);
    }

    @Override
    public Optional<DataScopeDTO> findDataFieldProperty(Long userId) {
        DataScopeDTO ds = new DataScopeDTO();
        ds.setUserId(userId);
        ds.setRole(RoleEnum.DASHBOARD);
        return Optional.of(ds);
    }

}
