package com.hz.pm.api.expert.model;

import com.hz.pm.api.gov.model.vo.GovBusinessStripVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午1:58
 */
@Data
@ApiModel(value = "ExpertJobInfo", description = "职业信息")
public class ExpertJobInfo {

    /**
     * 在职状态(字典code)
     */
    @NotNull
    @ApiModelProperty("在职状态(字典code)")
    private List<DictFieldInfoDTO> jobStatus;

    /**
     * 退休时间
     */
    @ApiModelProperty("退休时间")
    private LocalDateTime retiredAt;

    /**
     * 工作单位
     */
    @NotBlank
    @ApiModelProperty("工作单位，组织结构name")
    private String company;

    @ApiModelProperty("工作单位，前端使用标识")
    private String companyUniqCode;

    /**
     * 单位法人编号
     */
    @NotBlank
    @ApiModelProperty(" 单位法人编号")
    private String legalEntityCode;

    /**
     * 行政职务
     */
    @NotBlank
    @ApiModelProperty("行政职务")
    private String administrativeDuties;

    /**
     * 开始工作时间
     */
    @NotNull
    @ApiModelProperty("开始工作时间")
    private LocalDate startWorkAt;

    /**
     * 行政职级(字典code)
     */
    @NotNull
    @ApiModelProperty("行政职级(字典code)")
    private List<DictFieldInfoDTO> administrativeRank;

    /**
     * 单位类型(字典code)
     */
    @NotNull
    @ApiModelProperty("单位类型(字典code)")
    private List<DictFieldInfoDTO> companyAttribute;

    /**
     * 工作地址
     */
    @NotBlank
    @ApiModelProperty("工作地址")
    private String address;

    /**
     * 工作经历
     */
    @NotBlank
    @ApiModelProperty("工作经历")
    private String experience;

    @ApiModelProperty("专家条线")
    private List<GovBusinessStripVO> businessStrips;

}
