package com.hz.pm.api.expert.model.cmd;


import com.hz.pm.api.common.model.CommonPageReq;
import com.hz.pm.api.expert.constant.ExpertAccountStatusEnum;
import com.hz.pm.api.expert.model.query.ExpertDictionaryQuery;
import com.hz.pm.api.expert.model.query.ExpertTagQuery;
import com.hz.pm.api.meta.model.bo.RegionContainsBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/8/4 上午11:11
 */
@Data
public class ExpertAdminExpertManageQueryCmd extends CommonPageReq {

    @ApiModelProperty("专家姓名(精准匹配)")
    private String expertName;

    @ApiModelProperty("工作单位(模糊匹配)")
    private String company;

    @ApiModelProperty("专家账号状态")
    private List<ExpertAccountStatusEnum> expertAccountStatusList;

    /**
     * 区域编码
     */
    @ApiModelProperty("区域编码")
    private String regionCode;

    /**
     * 区域级别
     */
    @ApiModelProperty("区域级别")
    private Integer regionLevel;

    /**
     * 专家管理区域范围
     */
    List<RegionContainsBO> regionContainsList;

    /**
     * 专家履职意向地区域范围
     */
    List<RegionContainsBO> intentionRegionList;

    /**
     * 专家字典信息
     */
    private List<ExpertDictionaryQuery> expertDictionaryQueryList;

    /**
     * 专家标签信息
     */
    private List<ExpertTagQuery> expertTagQueryList;

    /**
     * 是否为钉用户
     */
    private Boolean isDingUser;

    /**
     * 无数据可供查询
     */
    private transient boolean hasNonData = false;

}
