package com.hz.pm.api.expert.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 评审模版配置表
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-14
 */
@Data
@TableName("nd_review_template_settings")
@ApiModel(value = "NdReviewTemplateSettings对象", description = "评审模版配置表")
public class ReviewTemplateSettings implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("模版类型：1 初步方案评审模版、2 建设方案评审模版、3 验收方案评审模版")
    private Integer templateType;

    @ApiModelProperty("模版内容")
    private String content;

    @ApiModelProperty("是否是最新")
    private Boolean isLast;

    @ApiModelProperty("区域编码")
    private String regionCode;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

}
