package com.hz.pm.api.expert.model.vo;

import com.hz.pm.api.expert.model.DictFieldInfoDTO;
import com.hz.pm.api.meta.model.ExpertRegionInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/26 上午11:17
 * 专家审核列表展示VO基础类
 */
@Data
@ApiModel("审核列表展示VO")
public class ExpertApplyMetaVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 审核结果
     */
    @ApiModelProperty("审核结果")
    private String applyStatus;

    /**
     * 审核类型
     */
    @ApiModelProperty("审核类型")
    private String applyType;

    /**
     * 专家姓名
     */
    @ApiModelProperty("专家姓名")
    private String name;

    /**
     * 专家层级
     */
    @ApiModelProperty("专家层级")
    private ExpertRegionInfo expertRegionInfo;

    /**
     * 职称级别
     */
    @ApiModelProperty("职称级别")
    private List<DictFieldInfoDTO> titleLevel;

    /**
     * 工作单位
     */
    @ApiModelProperty("工作单位")
    private String company;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String phoneNo;

    /**
     * 申请时间
     */
    @ApiModelProperty("申请时间")
    private LocalDateTime applyTime;

    @ApiModelProperty("专家类型")
    private List<DictFieldInfoDTO> expertType;


}
