package com.hz.pm.api.expert.model.vo;

import com.hz.pm.api.meta.model.ExpertRegionInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * LeaveAuditInfoVo
 * </p>
 *
 * @author WendyYang
 * @since 13:46 2022/8/12
 */
@Data
@Builder
@ApiModel("审核详情返回参数")
public class MetaApplyResultVo {

    @ApiModelProperty("审核人")
    private String auditor;

    @ApiModelProperty("审核时间")
    private LocalDateTime auditTime;

    @ApiModelProperty("审核意见")
    private String auditOption;

    @ApiModelProperty("审核状态")
    private String auditStatus;

    @ApiModelProperty("申请时间")
    private LocalDateTime applyTime;

    @ApiModelProperty("申请类型")
    private String applyType;

    @ApiModelProperty("专家用户userId")
    private Long expertUserId;

    @ApiModelProperty("履职意向修改申请展示列表-只有审核类型为履职意向变更时才会有值")
    private IntentionApplyDisplayVO intentionApplyDisplayVo;


    @Data
    @ApiModel("履职意向修改申请展示列表")
    public static class IntentionApplyDisplayVO {

        @ApiModelProperty("审核申请id")
        private Long expertApplyId;

        @ApiModelProperty("履职意向增加")
        private ExpertRegionInfo addExpertRegion;

        @ApiModelProperty("履职意向减少")
        private ExpertRegionInfo reduceExpertRegion;
    }


}
