package com.hz.pm.api.expert.utils;


import cn.hutool.json.JSONUtil;
import com.hz.pm.api.expert.model.DictFieldInfoDTO;
import com.hz.pm.api.expert.model.SensitiveModifySegment;
import com.hz.pm.api.expert.model.TagFieldInfo;
import com.ningdatech.basic.exception.BizException;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * @author liuxinxin
 * @date 2022/8/24 下午3:36
 */

public class SensitiveModifySegmentUtil {

    private SensitiveModifySegmentUtil() {
    }

    public static List<TagFieldInfo> getTagFieldInfoListApply(SensitiveModifySegment segment) {
        switch (segment.getFieldName()) {
            case good_at:
            case technical_expertise:
            case industry_sector:
            case other:
                if (Objects.nonNull(segment.getApply())) {
                    return JSONUtil.toList(segment.getApply().toString(), TagFieldInfo.class);
                }
                return new ArrayList<>();
            default:
                throw new BizException("非法格式");
        }

    }

    public static List<DictFieldInfoDTO> getDictionaryFieldInfoListApply(SensitiveModifySegment segment) {
        switch (segment.getFieldName()) {
            case administrative_rank:
            case title_level: {
                if (Objects.nonNull(segment.getApply())) {
                    return JSONUtil.toList(segment.getApply().toString(), DictFieldInfoDTO.class);
                }
                return new ArrayList<>();
            }
            default:
                throw new BizException("非法格式");
        }
    }
}
