package com.hz.pm.api.external.controller;

import com.hz.pm.api.external.FilePreviewClient;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * FilePreviewController
 * </p>
 *
 * @author WendyYang
 * @since 10:01 2024/3/18
 */
@Api(tags = "文件预览外部服务")
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/file/preview")
public class FilePreviewController {

    private final FilePreviewClient filePreviewClient;

    @ApiOperation("获取文件的预览地址")
    @GetMapping("/getFilePreviewUrl/{fileId}")
    public String getFilePreviewUrl(@PathVariable Long fileId, HttpServletRequest request) {
        return filePreviewClient.getFilePreviewUrl(fileId, request);
    }

    @ApiOperation("文件下载（不鉴权）")
    @GetMapping("/anonymous/down/{fileId}")
    public void anonymousFileDown(@PathVariable Long fileId, HttpServletResponse response) {
        filePreviewClient.downloadFile(fileId, response);
    }

}
