package com.hz.pm.api.external.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * MhProjectSchemeTargetDTO
 * </p>
 *
 * @author WendyYang
 * @since 14:26 2024/1/23
 */
@Data
@ApiModel("关键指标对象")
public class MhProjectSchemeTargetDTO {

    @ApiModelProperty(value = "迁移上云信息系统数量")
    private int cloudSystemNum;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建单位")
    private Long createUnit;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "附件")
    private String fileId;

    @ApiModelProperty(value = "本地部署非涉密信息系统数量")
    private Integer fsmLocalSystemNum;

    @ApiModelProperty(value = "更新购置非涉密服务器数量")
    private Integer fsmServerNum;

    @ApiModelProperty(value = "更新购置非涉密数据库数量")
    private Integer fsmUpdateDbNum;

    @ApiModelProperty(value = "更新购置非涉密中间件数量")
    private Integer fsmUpdateMiddleNum;

    @ApiModelProperty(value = "vCPU(核数)")
    private Integer hostCpuNum;

    @ApiModelProperty(value = "内存(GB)")
    private Integer hostMemoryNum;

    @ApiModelProperty(value = "信创云虚拟主机数量")
    private Integer hostNum;

    @ApiModelProperty(value = "存储(GB)")
    private Integer hostStoreNum;

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "总投资预算金额(万元)")
    private BigDecimal money;

    @ApiModelProperty(value = "本地部署涉密信息系统数量")
    private Integer smLocalSystemNum;

    @ApiModelProperty(value = "更新购置涉密服务器数量")
    private Integer smServerNum;

    @ApiModelProperty(value = "更新购置涉密数据库数量")
    private Integer smUpdateDbNum;

    @ApiModelProperty(value = "更新购置涉密中间件数量")
    private Integer smUpdateMiddleNum;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateUser;

    @ApiModelProperty(value = "信创云数据库数量")
    private Integer xcDbNum;

    @ApiModelProperty(value = "信创云中间件数量")
    private Integer xcMiddleNum;

}