package com.hz.pm.api.external.model.dto;

import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 采购公告发布实体
 * </p>
 *
 * @author WendyYang
 * @since 15:42 2024/3/26
 */
@Data
@Builder
public class MhPurchaseNoticeDTO {
    /**
     * 采购ID
     */
    private String id;
    /**
     * 采购物品
     */
    private String buyItem;
    /**
     * 预算金额
     */
    private BigDecimal budgetMoney;
    /**
     * 采购方式
     */
    private String buyWay;
    /**
     * 开标时间
     */
    private Date bidOpenTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 详细地址
     */
    private String detailAddress;
    /**
     * 链接地址
     */
    private String linkAddress;
    /**
     * 采购描述
     */
    private String buyDesc;
    /**
     * 采购文件
     */
    private String buyFile;
    /**
     * 采购单位名称
     */
    private String buyUnitName;
    /**
     * 创建单位
     */
    private Integer createUnit;
    /**
     * 联系人
     */
    private String linkUser;
    /**
     * 联系电话
     */
    private String linkPhone;
    /**
     * 创建用户
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新用户
     */
    private String updateUser;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 发布状态：W暂存待发布/撤回，Y已发布
     */
    private String postStatus;
    /**
     * 查看次数
     */
    private int viewCount;
    /**
     * 采购范围：Y公开采购，N非公开采购
     */
    private String buyScope;
    /**
     * 类型：CGYS 采购意向、ZBGG 招标公告
     */
    private String type;

}
