package com.hz.pm.api.external.model.enumeration;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * 信产单位领域
 * </p>
 *
 * @author WendyYang
 * @since 10:26 2024/1/25
 */
@Getter
@AllArgsConstructor
public enum MhUnitStripEnum {

    GOV_COMPANY("国有企业", 1),

    PARTY_GOV("党政领域", 2),

    INDUSTRY("重点行业", 3);

    private final String val;
    private final Integer code;

    public static Optional<MhUnitStripEnum> get(Integer code) {
        return Arrays.stream(values()).filter(w -> w.getCode().equals(code)).findFirst();
    }

    public static String getVal(Integer code) {
        return get(code)
                .flatMap(w -> Optional.of(w.getVal()))
                .orElse(StrUtil.EMPTY);
    }

    public boolean eq(Integer code) {
        return this.getCode().equals(code);
    }


}
