package com.hz.pm.api.fiscal.controller;


import com.ningdatech.log.annotation.WebLog;
import com.hz.pm.api.fiscal.manage.CompanyFiscalCodeManage;
import com.hz.pm.api.fiscal.model.po.CompanyFiscalCodeAndSealSnReq;
import com.hz.pm.api.fiscal.model.po.ReqGetCompanyFiscalCodeAndSealSnPO;
import com.hz.pm.api.fiscal.model.vo.CompanyFiscalCodeAndSealSnVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-10
 */
@RestController
@RequestMapping("/api/v1/fiscal-code")
@RequiredArgsConstructor
@Api(tags = "印章配置-财政编码配置", hidden = true)
public class CompanyFiscalCodeController {

    private final CompanyFiscalCodeManage companyFiscalCodeManage;

    @ApiOperation(value = "财政编码-配置", notes = "财政编码配置")
    @PostMapping("/fiscal-and-seal/configure")
    @WebLog("财政编码-配置")
    public void fiscalAndSealCodeConfigure(@Valid @RequestBody CompanyFiscalCodeAndSealSnReq req) {
        companyFiscalCodeManage.fiscalCodeConfigure(req);
    }

    @ApiOperation(value = "获取财政编码-配置", notes = "获取财政编码配置")
    @PostMapping("/fiscal-and-seal/get-configure")
    public CompanyFiscalCodeAndSealSnVO getFiscalAndSealCodeConfigure(@Valid @RequestBody ReqGetCompanyFiscalCodeAndSealSnPO request) {
        return companyFiscalCodeManage.getFiscalCodeConfigure(request);
    }

}
