package com.hz.pm.api.gov.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目采购信息
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "GovBizProjectProcure对象", description = "项目采购信息")
public class GovBizProjectProcureDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("项目编号")
    private String baseProjId;

    @ApiModelProperty("基本项目名称")
    private String baseProjName;

    @ApiModelProperty("标段编号")
    private String baseBidCode;

    @ApiModelProperty("标段名称")
    private String baseBidName;

    @ApiModelProperty("'财政项目代码'")
    private String setProjCodeFinan;

    @ApiModelProperty("采购方式")
    private String baseProjPurchaseWay;

    @ApiModelProperty("预算执行确认书编号")
    private String basePurchaseCode;

    @ApiModelProperty("招标（采购）文件")
    private String purchaseFile;

    @ApiModelProperty("采购代理机构")
    private String basePurchasingAgencies;

    @ApiModelProperty("采购代理机构统一社会信用代码")
    private String baseUnifiedCreditCode;

    @ApiModelProperty("中标（成交）时间")
    private LocalDateTime baseWinningBidTime;

    @ApiModelProperty("中标（成交）金额")
    private BigDecimal baseProjPurchaseAmount;

    @ApiModelProperty("中标（成交）通知书")
    private String biddingFile;

    @ApiModelProperty("中标（成交）供应商名称")
    private String baseConsDeprt;

    @ApiModelProperty("中标（成交）供应商统一社会信用代码")
    private String baseConsDeprtUsci;

    @ApiModelProperty("采购合同")
    private String purchaseContract;

    @ApiModelProperty("项目款支付时间")
    private LocalDateTime basePaymentTime;

    @ApiModelProperty("项目款支付金额")
    private BigDecimal paymentProgress;

    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("生产时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("入库时间")
    private LocalDateTime tongTime;
}
