package com.hz.pm.api.gov.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 项目归集总VO
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "GovOperationProjectSaveDTO", description = "运维项目总详情DTO")
public class GovOperationProjectSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目编号")
    private String baseProjId;

    @ApiModelProperty("基本项目名称")
    private String baseProjName;

    @ApiModelProperty("草稿id")
    private Long draftId;

    @ApiModelProperty("项目基本信息")
    private GovOperationProjectBaseinfoDTO baseinfo;

    @ApiModelProperty("项目申报信息")
    private GovBizProjectApplyDTO apply;

    @ApiModelProperty("项目审批信息")
    private GovBizProjectApproveDTO approve;

    @ApiModelProperty("实施项目实施信息")
    private GovBizProjectCimplementDTO cimplement;

    @ApiModelProperty("运维项目实施信息")
    private GovBizProjectMimplementDTO mimplement;

    @ApiModelProperty("项目采购信息")
    private List<GovBizProjectProcureDTO> procures;
}
