package com.hz.pm.api.gov.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目基本信息表
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@TableName("gov_biz_project_baseinfo")
@ApiModel(value = "GovBizProjectBaseinfo对象", description = "项目基本信息表")
public class GovBizProjectBaseinfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目编号")
    private String baseProjId;

    @ApiModelProperty("基本项目名称")
    private String baseProjName;

    @ApiModelProperty("基本项目区域code")
    private String baseAreaCode;

    @ApiModelProperty("基本项目区域名")
    private String baseAreaName;

    @ApiModelProperty("是否涉密")
    private String baseProjIsConfidentiality;

    @ApiModelProperty("项目类型")
    private String baseProjType;

    @ApiModelProperty("内容类别")
    private String baseConstructionType;

    @ApiModelProperty("项目状态")
    private String baseProjSetProg;

    @ApiModelProperty("信息是否有效")
    private String isEffective;

    @ApiModelProperty("是否省级 1省级 2非省级")
    private Integer baseProvManDeprtType;

    @ApiModelProperty("上级主管单位")
    private String baseProvManDeprt;

    @ApiModelProperty("上级主管单位钉id")
    private String baseProvManDeprtDing;

    @ApiModelProperty("本级主管单位")
    private String baseManDeprt;

    @ApiModelProperty("本级主管单位ding code")
    private String baseManDeprtDing;

    @ApiModelProperty("本级主管单位社会统一信用代码")
    private String baseManDepartUsci;

    @ApiModelProperty("建设单位")
    private String baseBuildDeprt;

    @ApiModelProperty("建设单位Ding Code")
    private String baseBuildDeprtDing;

    @ApiModelProperty("建设单位社会统一信用代码")
    private String baseBuildDepartUsci;

    @ApiModelProperty("项目负责人")
    private String baseProjPrincipal;

    @ApiModelProperty("项目负责人手机号")
    private String baseProjPrincipalCall;

    @ApiModelProperty("项目联系人")
    private String baseProjContacts;

    @ApiModelProperty("项目联系人联系方式")
    private String baseProjContactsCall;

    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("生产时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("逻辑删除")
    private Boolean deleted;

    @ApiModelProperty("系统定位")
    private String systemPosition;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private String updateBy;
}
