package com.hz.pm.api.gov.model.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目采购信息
 * </p>
 *
 * @author CMM
 * @since 2023-08-22
 */
@Data
@TableName("szls_da_biz_331100_project_procure")
@ApiModel(value = "SzlsDaBiz331100ProjectProcure对象", description = "项目采购信息")
public class ProjectProcureReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("标段代码")
    private String baseBidCode;

    @ApiModelProperty("标段名称")
    private String baseBidName;

    @ApiModelProperty("项目代码")
    private String baseProjId;

    @ApiModelProperty("项目名称")
    private String baseProjName;

    @ApiModelProperty("财政项目代码")
    private String setProjCodeFinan;

    @ApiModelProperty("采购方式")
    private String baseProjPurchaseWay;

    @ApiModelProperty("预算执行确认书编号")
    private String basePurchaseCode;

    @ApiModelProperty("招标（采购）文件")
    private String purchaseFile;

    @ApiModelProperty("采购代理机构")
    private String basePurchasingAgencies;

    @ApiModelProperty("采购代理机构统一社会信用代码")
    private String baseUnifiedCreditCode;

    @ApiModelProperty("中标（成交）时间")
    private String baseWinningBidTime;

    @ApiModelProperty("中标（成交）金额")
    private String baseProjPurchaseAmount;

    @ApiModelProperty("中标（成交）通知书")
    private String biddingFile;

    @ApiModelProperty("中标（成交）供应商名称")
    private String baseConsDeprt;

    @ApiModelProperty("中标（成交）供应商统一社会信用代码")
    private String baseConsDeprtUsci;

    @ApiModelProperty("采购合同")
    private String purchaseContract;

    @ApiModelProperty("项目款支付时间")
    private String basePaymentTime;

    @ApiModelProperty("项目款支付金额")
    private String paymentProgress;

    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("出生产库时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("数据入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("发送端自增列")
    @TableId(value = "tongID", type = IdType.AUTO)
    private Integer tongID;
}
