package com.hz.pm.api.gov.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目审核信息表
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "GovBizProjectBaseinfo对象", description = "项目审核信息表")
public class GovBizProjectApproveVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("项目编号")
    private String baseProjId;

    @ApiModelProperty("基本项目名称")
    private String baseProjName;

    @ApiModelProperty("'发改项目代码'")
    private String baseDevelopCode;

    @ApiModelProperty("'财政项目代码'")
    private String setProjCodeFinan;

    @ApiModelProperty("评审结果")
    private String baseReviewResults;

    @ApiModelProperty("评审意见")
    private String baseReviewOpinion;

    @ApiModelProperty("评审意见附件")
    private String baseReviewCommentsFile;

    @ApiModelProperty("建议总投资")
    private BigDecimal baseExpertTotalMoney;

    @ApiModelProperty("'建议年度预算'")
    private BigDecimal baseExpertYearMoney;

    @ApiModelProperty("立项批复文件")
    private String approvalFile;

    @ApiModelProperty("建议批复总投资")
    private BigDecimal baseInitialReviewTotalMoney;

    @ApiModelProperty("'建议批复年度预算'")
    private BigDecimal baseProjReplyAmount;

    @ApiModelProperty("等保定级")
    private String equalProtectionLevel;

    @ApiModelProperty("初步设计方案")
    private String preliminaryDesignScheme;

    @ApiModelProperty("初步设计方案批复函")
    private String preliminaryDesignFile;

    @ApiModelProperty("年度预算下达金额")
    private BigDecimal releaseYearMoney;


    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("生产时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("逻辑删除")
    private Boolean deleted;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private String updateBy;

    @ApiModelProperty("立项批复文件")
    private String approvalFilePdf;

    @ApiModelProperty("评审意见附件PDF")
    private String baseReviewCommentsFilePdf;

    @ApiModelProperty("初步设计方案批复函PDF")
    private String preliminaryDesignFilePdf;
}
