package com.hz.pm.api.gov.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 项目归集总VO
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "GovBizProjectDetailVO", description = "项目归集总详情VO")
public class GovBizProjectDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目编号")
    private String baseProjId;

    @ApiModelProperty("基本项目名称")
    private String baseProjName;

    @ApiModelProperty("草稿id")
    private Long draftId;

    @ApiModelProperty("项目基本信息")
    private GovBizProjectBaseinfoVO baseinfo;

    @ApiModelProperty("项目申报信息")
    private GovBizProjectApplyVO apply;

    @ApiModelProperty("项目审批信息")
    private GovBizProjectApproveVO approve;

    @ApiModelProperty("实施项目实施信息")
    private GovBizProjectCimplementVO cimplement;

    @ApiModelProperty("运维项目实施信息")
    private GovBizProjectMimplementVO mimplement;

    @ApiModelProperty("项目采购信息")
    private List<GovBizProjectProcureVO> procures;
}
