package com.hz.pm.api.gov.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 项目归集列表VO
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "GovBizProjectListVO", description = "项目归集列表VO")
public class GovBizProjectListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目编号")
    private String baseProjId;

    @ApiModelProperty("基本项目名称")
    private String baseProjName;

    @ApiModelProperty("项目年度")
    private String baseProjSetYear;

    @ApiModelProperty("建设单位")
    private String baseBuildDeprt;

    @ApiModelProperty("建设单位Ding Code")
    private String baseBuildDeprtDing;

    @ApiModelProperty("基本项目区域code")
    private String baseAreaCode;

    @ApiModelProperty("基本项目区域名")
    private String baseAreaName;

    @ApiModelProperty("项目总投资")
    private BigDecimal baseProjTotalAmount;

    @ApiModelProperty("申报年度预算")
    private BigDecimal baseProjDeclAmount;

    @ApiModelProperty("草稿编号")
    private Long draftId;
}
