package com.hz.pm.api.gov.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 运维项目实施信息表
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "GovBizProjectMimplement对象", description = "运维项目实施信息表")
public class GovBizProjectMimplementVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("项目编号")
    private String baseProjId;

    @ApiModelProperty("基本项目名称")
    private String baseProjName;

    @ApiModelProperty("标段编号")
    private String baseBidCode;

    @ApiModelProperty("标段名称")
    private String baseBidName;

    @ApiModelProperty("发改项目代码")
    private String baseDevelopCode;

    @ApiModelProperty("关联IRS应用编码")
    private String baseProjSysCode;

    @ApiModelProperty("信息安全等级保护测评报告")
    private String baseInforLevelFile;

    @ApiModelProperty("'商业密码应用评估报告'")
    private String basePasswAssessFile;

    @ApiModelProperty("第三方验收测试报告")
    private String baseThirdAcceptFile;

    @ApiModelProperty("用户使用报告")
    private String baseUserConsFile;

    @ApiModelProperty("监理总结报告")
    private String baseEstaSummFile;

    @ApiModelProperty("运维总结报告")
    private String baseOperatMaintenSummFile;

    @ApiModelProperty("'是否完成日志数据归集'")
    private String baseLogAggregation;

    @ApiModelProperty("实际成效指标")
    private String baseBusinessMetrics;

    @ApiModelProperty("终审意见")
    private String baseFinalExpertOpinionFile;

    @ApiModelProperty("项目延期申请表")
    private String baseEngineerPostpoFile;

    @ApiModelProperty("变更报告")
    private String baseEngineerAlterFile;

    @ApiModelProperty("变更批复文件")
    private String baseChanFile;

    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("生产时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("逻辑删除")
    private Boolean deleted;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private String updateBy;

    @ApiModelProperty("信息安全等级保护测评报告PDF")
    private String baseInforLevelFilePdf;

    @ApiModelProperty("商业密码应用评估报告PDF")
    private String basePasswAssessFilePdf;

    @ApiModelProperty("第三方验收测试报告PDF")
    private String baseThirdAcceptFilePdf;

    @ApiModelProperty("用户使用报告PDF")
    private String baseUserConsFilePdf;

    @ApiModelProperty("监理总结报告PDF")
    private String baseEstaSummFilePdf;

    @ApiModelProperty("运维总结报告PDF")
    private String baseOperatMaintenSummFilePdf;

    @ApiModelProperty("终审意见PDF")
    private String baseFinalExpertOpinionFilePdf;

    @ApiModelProperty("项目延期申请表PDF")
    private String baseEngineerPostpoFilePdf;

    @ApiModelProperty("变更报告PDF")
    private String baseEngineerAlterFilePdf;

    @ApiModelProperty("变更批复文件PDF")
    private String baseChanFilePdf;
}
