package com.hz.pm.api.irs.controller;

import com.hz.pm.api.irs.manage.IrsProjectManage;
import com.hz.pm.api.projectlib.model.req.ProjectListReq;
import com.hz.pm.api.projectlib.model.vo.ProjectLibListItemVO;
import com.ningdatech.basic.model.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Classname IrsController
 * @Description irs 一些下拉框信息
 * @Date 2023/3/13 9:53
 * @Author PoffyZhang
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/irs/project/")
@Api(hidden = true, tags = "irs-IRS项目信息")
@RequiredArgsConstructor
public class IrsProjectController {

    private final IrsProjectManage irsProjectManage;

    @ApiOperation(value = "IRS项目列表", notes = "IRS项目列表")
    @GetMapping("/list")
    public PageVo<ProjectLibListItemVO> list(ProjectListReq projectListReq) {
        return irsProjectManage.list(projectListReq);
    }
}
