package com.hz.pm.api.leave.entity.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 请假记录表
 * </p>
 *
 * @author WendyYang
 * @since 2022-08-11
 */
@Data
@TableName("expert_leave")
@ApiModel(value = "ExpertLeave对象", description = "请假记录表")
public class ExpertLeave implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("请假类型")
    private Integer type;

    @ApiModelProperty("请假说明")
    private String remark;

    @ApiModelProperty("附件ID")
    private String attachment;

    @ApiModelProperty("审核表ID")
    private Long auditId;

    @ApiModelProperty("请假人ID")
    private Long leaveUserId;

    @ApiModelProperty("创建人名称")
    private String creator;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @ApiModelProperty("请假开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("请假结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("销假时间")
    private LocalDateTime cancelTime;

    @ApiModelProperty("固定时段模式")
    private String fixedType;

    private Long meetingId;

    private Integer status;

}
