package com.hz.pm.api.leave.entity.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 专家请假详情表（维度：天）
 * </p>
 *
 * @author WendyYang
 * @since 2022-08-11
 */
@Data
@NoArgsConstructor
@TableName("expert_leave_detail")
@ApiModel(value = "ExpertLeaveDetail对象", description = "专家请假详情表（维度：天）")
public class ExpertLeaveDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("专家请假ID")
    private Long expertLeaveId;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    public ExpertLeaveDetail(Long expertLeaveId, LocalDateTime startTime, LocalDateTime endTime) {
        this.expertLeaveId = expertLeaveId;
        this.startTime = startTime;
        this.endTime = endTime;
    }

}
