package com.hz.pm.api.leave.entity.po;

import com.ningdatech.basic.model.PagePo;
import com.hz.pm.api.sms.constant.DatePattern;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * <p>
 * LeaveListByCreatorPo
 * </p>
 *
 * @author WendyYang
 * @since 19:32 2022/8/11
 */
@Data
@ApiModel("我的请假列表参数实体")
@EqualsAndHashCode(callSuper = true)
public class LeaveListByCreatorReq extends PagePo {

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = DatePattern.YMD_HMS)
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = DatePattern.YMD_HMS)
    private LocalDateTime endTime;

    @ApiModelProperty("请假类型")
    private Integer leaveType;

    @ApiModelProperty("审核状态")
    private String auditStatus;

    @ApiModelProperty("专家ID")
    private Long expertId;

}
