package com.hz.pm.api.meeting.constant;

/**
 * <p>
 * MeetingMsgConst
 * </p>
 *
 * @author WendyYang
 * @since 2023/4/20
 **/
public interface MeetingMsgTemplateConst {

    /**
     * 已结束：自动抽取结束，结束时给会议发起人发送浙政钉工作通知、短信：“注意，xxx会议自动抽取已结束，请及时确认是否召开会议”。
     */
    String INVITE_END = "【杭州数字信创】注意，%s会议自动抽取已结束，请及时确认是否召开会议";

    /**
     * 确认名单：尊敬的【姓名】专家您好，您于【确认时间】接受了信息化项目评审会议邀请，会议时间：【会议时间】，会议地点：【会议地点】。请准时参加评审会议。如有疑问请联系【联系人】(【联系方式】)。
     */
    String CONFIRMED_ROSTER = "【杭州数字信创】尊敬的%s专家您好，您于%s接受了信息化项目评审会议邀请，会议时间：%s，会议地点：%s。请准时参加评审会议。如有疑问请联系%s(%s)。";

    /**
     * 会议取消：尊敬的{name}专家，因会议取消说明，原定于开会时间的会议类型会议已取消。给您带来不便，敬请谅解。如有疑问请咨询会议联系人「会议联系人联系方式」。
     */
    String MEETING_CANCEL = "【杭州数字信创】尊敬的%s专家，原定于%s的%s会议已取消。给您带来不便，敬请谅解。如有疑问请咨询会议联系人「%s」。";

    String EXPERT_LEAVE_RANDOM = "【杭州数字信创】请注意，%s会议有专家请假，将重新抽取以替换该专家。";

    String EXPERT_LEAVE_APPOINT = "【杭州数字信创】请注意，%s会议的%s专家请假，请及时登录系统替换该专家。";

}
