package com.hz.pm.api.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * ExpertInviteAvoidRule
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
@Data
@TableName("meeting_expert_invite_avoid_rule")
@ApiModel(value = "ExpertInviteAvoidRule对象")
public class ExpertInviteAvoidRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("事务ID")
    private Long meetingId;

    @ApiModelProperty("回避专家ID")
    private String avoidExpertIds;

    @ApiModelProperty("回避单位ID")
    private String avoidUnitIds;

    @ApiModelProperty("回避条线ID")
    private String avoidOrgIds;

    @ApiModelProperty("回避类型")
    private Integer avoidType;

    @ApiModelProperty("每周参与次数")
    private Integer weekInviteCount;

    @ApiModelProperty("创建人ID")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @ApiModelProperty("修改人ID")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
