package com.hz.pm.api.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author wangrenkang
 * @date 2024-02-20 18:14:29
 */
@Data
@Builder
@TableName("MEETING_EXPERT_SMS")
@ApiModel(value = "专家短信提醒记录")
public class MeetingExpertSms {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 会议ID
     */
    private String meetingId;

    /**
     * 创建时间
     */
    private LocalDateTime createOn;

    /**
     * 短信返回的 uuid
     */
    private String smsUuid;

    /**
     * 短信发送内容
     */
    private String content;

    /**
     * 短信发送手机号
     */
    private String phones;

    /**
     * 短信返回内容
     */
    private String smsResult;
}