package com.hz.pm.api.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 会议评审内部项目表
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-28
 */
@Data
@TableName("meeting_inner_project")
@ApiModel(value = "MeetingInnerProject对象", description = "会议评审内部项目表")
public class MeetingInnerProject implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("建设必要性")
    private String buildNecessity;

    @ApiModelProperty("需求合理性")
    private String needRationality;

    @ApiModelProperty("技术方案可行性")
    private String techFeasibility;

    @ApiModelProperty("审核结果")
    private Integer reviewResult;

    @ApiModelProperty("其他意见")
    private String otherAdvices;

    @ApiModelProperty("投资测算合理性")
    private String investRationality;

    @ApiModelProperty("建议资金（单位：万元）")
    private BigDecimal suggestedFunding;

    private String attachFiles;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
