package com.hz.pm.api.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 会议评审外部项目
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-28
 */
@Data
@TableName("meeting_outer_project")
@ApiModel(value = "MeetingOuterProject对象", description = "会议评审外部项目")
public class MeetingOuterProject implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String buildOrg;

    @ApiModelProperty("项目类型")
    private String projectType;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("申报金额")
    private BigDecimal declareAmount;

    @ApiModelProperty("建设必要性")
    private String buildNecessity;

    @ApiModelProperty("需求合理性")
    private String needRationality;

    @ApiModelProperty("技术方案可行性")
    private String techFeasibility;

    @ApiModelProperty("审核结果")
    private Integer reviewResult;

    @ApiModelProperty("其他意见")
    private String otherAdvices;

    @ApiModelProperty("投资测算合理性")
    private String investRationality;

    @ApiModelProperty("建议资金（单位：万元）")
    private BigDecimal suggestedFunding;

    private String attachFiles;

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

}
