package com.hz.pm.api.meeting.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * AbstractExpertExtractRule
 * </p>
 *
 * @author WendyYang
 * @since 10:10 2022/7/26
 */
@Data
@ApiModel("抽取规则")
public abstract class AbstractInviteRule {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("专家抽取数量")
    @NotNull(message = "专家抽取数量不能为空", groups = {RuleSave.class})
    @Range(min = 1, max = 50, message = "专家抽取数量应在1~50人")
    private Integer count;

    @ApiModelProperty("抽取类型：1 随机抽取、2 指定抽取")
    @NotNull(message = "抽取类型不能为空", groups = {RuleSave.class, CountCheck.class})
    private Integer inviteType;

    public interface RuleSave {
    }

    public interface CountCheck {
    }


}
