package com.hz.pm.api.meeting.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * <p>
 * AppointExtractRuleDto
 * </p>
 *
 * @author WendyYang
 * @since 10:19 2022/7/26
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("指定抽取规则")
public class AppointInviteRuleDTO extends AbstractInviteRule {

    @NotEmpty(message = "邀请说明不能为空", groups = {RuleSave.class})
    @ApiModelProperty("邀请说明")
    private String inviteDesc;

    @NotEmpty(message = "专家ID不能为空", groups = {RuleSave.class, CountCheck.class})
    @ApiModelProperty("专家ID")
    private List<Long> expertIdList;

}
