package com.hz.pm.api.meeting.entity.dto;

import com.hz.pm.api.common.model.ReqRegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * RandomExtractRuleDto
 * </p>
 *
 * @author WendyYang
 * @since 10:18 2022/7/26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("随机抽取规则")
public class RandomInviteRuleDTO extends AbstractInviteRule {

    @ApiModelProperty("专家字典信息")
    private List<ExpertDictChooseDTO> expertDicts;

    @ApiModelProperty("履职意向地编码")
    private String intentionRegionCode;

    @ApiModelProperty("履职意向地层级")
    private Integer intentionRegionLevel;

    private List<ReqRegionDTO> expertRegionList;

    @ApiModelProperty("专家标签")
    private List<ExpertTagChooseDTO> expertTags;

    @ApiModelProperty("专家最长响应时间")
    @NotNull(message = "专家最长响应时间不能为空", groups = {RuleSave.class})
    private Integer waitForCallbackMinutes;

}
