package com.hz.pm.api.meeting.entity.enumeration;

import lombok.Getter;

import java.util.Arrays;

/**
 * @author wangrenkang
 * @date 2024-02-20 18:16:46
 */
@Getter
public enum ExpertNotifyTypeEnum {

    /**
     *  专家通知方式
     */
    CALL("1", "电话通知"),
    SMS("2", "短信通知");

    private final String code;
    private final String name;

    ExpertNotifyTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public boolean eq(String code) {
        return this.getCode().equals(code);
    }

    public static ExpertNotifyTypeEnum getByCode(String code) {
        return Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException("无效的通知方式"));
    }

}
