package com.hz.pm.api.meeting.entity.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * MeetingStatus
 * </p>
 *
 * @author WendyYang
 * @since 11:14 2022/8/8
 */
@Getter
@AllArgsConstructor
public enum MeetingStatusEnum {

    /**
     * 会议状态
     */
    NORMAL("正常", 1),
    CANCEL("已取消", 3);

    private final String value;
    private final Integer code;

    public boolean eq(Integer code) {
        return this.getCode().equals(code);
    }

    public static Optional<MeetingStatusEnum> getByCode(Integer code) {
        return Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst();
    }

    public static MeetingStatusEnum getNoNull(Integer code) {
        return getByCode(code).orElseThrow(() -> new IllegalArgumentException("会议状态无效"));
    }

}
