package com.hz.pm.api.meeting.entity.req;

import com.hz.pm.api.meeting.entity.dto.AppointInviteRuleDTO;
import com.hz.pm.api.meeting.entity.dto.AvoidRuleDTO;
import com.hz.pm.api.meeting.entity.dto.RandomInviteRuleDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * MeetingCreatePo
 * </p>
 *
 * @author WendyYang
 * @since 10:32 2022/7/26
 */
@Data
@ApiModel("专家抽取新家实体")
public class ExpertInviteReq {

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @NotNull(message = "抽取类型不能为空")
    @ApiModelProperty("抽取类型：1 随机抽取、2 指定抽取")
    private Integer inviteType;

    @Valid
    @NotNull(message = "回避信息不能为空")
    @ApiModelProperty("回避信息")
    private AvoidRuleDTO avoidRule;

    @Valid
    @ApiModelProperty("随机抽取规则")
    private List<RandomInviteRuleDTO> randomRules;

    @Valid
    @ApiModelProperty("指定抽取规则")
    private AppointInviteRuleDTO appointRule;

}
