package com.hz.pm.api.meeting.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * MeetingBasicInfoModifyPo
 * </p>
 *
 * @author WendyYang
 * @since 11:15 2022/8/17
 */
@Data
public class MeetingBasicInfoModifyReq {

    @ApiModelProperty("会议ID")
    @NotNull(message = "会议ID不能为空")
    private Long id;

    @NotEmpty(message = "会议名称不能为空")
    @ApiModelProperty("会议名称")
    private String name;

    @NotEmpty(message = "会议类型不能为空")
    @ApiModelProperty("会议类型")
    private String type;

    @NotNull(message = "开始时间不能为空")
    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @NotNull(message = "结束时间不能为空")
    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @NotEmpty(message = "地区编码不能为空")
    @ApiModelProperty("地区编码")
    private String regionCode;

    @NotNull(message = "地区编码层级不能为空")
    @ApiModelProperty("地区编码层级")
    private Integer regionLevel;

    @NotEmpty(message = "地址详情不能为空")
    @ApiModelProperty("地址详情")
    private String regionDetail;

    @NotEmpty(message = "联系人不能为空")
    @ApiModelProperty("联系人")
    private String connecter;

    @NotEmpty(message = "联系方式不能为空")
    @ApiModelProperty("联系方式")
    private String contact;

    @NotEmpty(message = "会议说明不能为空")
    @ApiModelProperty("会议说明")
    private String description;

    @ApiModelProperty("附件ID")
    private List<String> attachmentIds;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建人")
    private String author;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

}
