package com.hz.pm.api.meeting.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.hz.pm.api.sys.model.dto.RegionDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * ExpertInvitationDetailVo
 * </p>
 *
 * @author WendyYang
 * @since 13:51 2022/8/27
 */
@Data
@Builder
public class ExpertInvitationDetailVO {

    @Tolerate
    public ExpertInvitationDetailVO() {
    }

    @ApiModelProperty("专家确认时间")
    private LocalDateTime inviteTime;

    @ApiModelProperty("会议举办单位")
    private String holdOrg;

    @ApiModelProperty("会议开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("会议结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("会议名称")
    private String meetingName;

    @ApiModelProperty("举办地址详情")
    private String regionDetail;

    private List<RegionDTO> regions;

    @ApiModelProperty("联系方式")
    private String contact;

    @ApiModelProperty("联系人")
    private String connecter;

    @ApiModelProperty("专家名称")
    private String expertName;

}
