package com.hz.pm.api.meeting.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * MeetingByManagerVo
 * </p>
 *
 * @author WendyYang
 * @since 11:43 2022/8/8
 */
@Data
@ApiModel("会议实体（管理员列表）")
public class MeetingByManagerVO {

    @ApiModelProperty("专家评分")
    private Double judgeScore;

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("会议专家ID")
    private Long meetingExpertId;

    @ApiModelProperty("会议发起单位")
    private String createUserUnit;

    @ApiModelProperty("会议开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("会议结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("评审地点")
    private String meetingAddress;

    @ApiModelProperty("会议状态")
    private Integer status;

    @ApiModelProperty("抽取类型")
    private Integer inviteType;

    @ApiModelProperty("抽取状态")
    private Boolean inviteStatus;

    @ApiModelProperty("名单确认状态")
    private Boolean confirmedRoster;

    @ApiModelProperty("会议名称")
    private String meetingName;

    @ApiModelProperty("会议类型编码")
    private String meetingType;

    @ApiModelProperty("会议类型名称")
    private String meetingTypeName;

    @ApiModelProperty("专家状态")
    private Integer expertStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("联系人")
    private String connecter;

    @ApiModelProperty("联系方式")
    private String contact;

    @ApiModelProperty("是否评价")
    private Boolean hasJudge;

    @ApiModelProperty("是否关联系统内项目")
    private Boolean isInnerProject;

    @ApiModelProperty("会议结果是否上传")
    private Boolean hasMeetingResult;

    @ApiModelProperty("所有项目是否已上传评审结果")
    private Boolean allProjectReviewed;

    /**
     * 20240513 新增字段
     */
    @ApiModelProperty("专家签到状态")
    private Boolean signStatus;

    @ApiModelProperty("专家签到时间")
    private LocalDateTime signTime;

    @ApiModelProperty("专家签到地点")
    private String signAddress;

    @ApiModelProperty("签到二维码")
    private String signQrCodeUrl;

}
