package com.hz.pm.api.meeting.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hz.pm.api.meeting.entity.dto.ProjectReviewResultDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * MeetingReviewProjectVO
 * </p>
 *
 * @author WendyYang
 * @since 13:57 2023/3/20
 */
@Data
@Builder
public class MeetingReviewProjectVO {

    @Tolerate
    public MeetingReviewProjectVO() {
    }

    @ApiModelProperty("会议项目关联ID")
    private Long meetingProjectId;

    @ApiModelProperty("项目ID")
    private Long id;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报金额")
    private BigDecimal declaredAmount;

    @ApiModelProperty("项目类型")
    private String projectType;

    @ApiModelProperty("申报年度")
    private Integer projectYear;

    @ApiModelProperty("申报单位")
    private String buildOrg;

    @ApiModelProperty("评审结果")
    private ProjectReviewResultDTO reviewResultDetail;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime createOn;

}
