package com.hz.pm.api.meeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.meeting.entity.domain.ExpertInviteRule;
import com.hz.pm.api.meeting.entity.dto.AppointInviteRuleDTO;
import com.hz.pm.api.meeting.entity.dto.RandomInviteRuleDTO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
public interface IExpertInviteRuleService extends IService<ExpertInviteRule> {

    /**
     * 查询会议所有的邀请规则
     *
     * @param meetingId 会议ID
     * @return 抽取规则集合
     * @author WendyYang
     **/
    List<ExpertInviteRule> listByMeetingId(Long meetingId);

    /**
     * 查询会议所有的随机邀请规则
     *
     * @param meetingId 会议ID
     * @return 随机邀请规则
     * @author WendyYang
     **/
    Map<Long, RandomInviteRuleDTO> randomRuleByMeetingId(Long meetingId);

    /**
     * 查询会议的指定邀请规则
     *
     * @param meetingId 会议ID
     * @return 指定邀请规则
     * @author WendyYang
     **/
    AppointInviteRuleDTO appointRuleByMeetingId(Long meetingId);

}
