package com.hz.pm.api.meeting.service;

import com.hz.pm.api.meeting.entity.domain.MeetingInnerProject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 会议评审内部项目表 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-28
 */
public interface IMeetingInnerProjectService extends IService<MeetingInnerProject> {

    /**
     * 查询会议评审的内部项目
     *
     * @param meetingId 会议ID
     * @return 会议关联的系统内部项目
     * @author WendyYang
     **/
    List<MeetingInnerProject> listByMeetingId(Long meetingId);

    /**
     * 查询项目关联的所有会议
     *
     * @param projectId 会议ID
     * @return 项目关联的会议ID
     * @author WendyYang
     **/
    List<Long> listMeetingIdByProjectId(Long projectId);

    /**
     * 查询项目关联的所有会议
     *
     * @param projectCode 项目编号
     * @return 项目关联的会议ID
     * @author WendyYang
     **/
    List<Long> listMeetingIdByProjectCode(String projectCode);

}
