package com.hz.pm.api.meeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.meeting.entity.domain.Meeting;
import com.hz.pm.api.meeting.entity.enumeration.MeetingStatusByDashboard;

import java.util.Map;

/**
 * <p>
 * 会议 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
public interface IMeetingService extends IService<Meeting> {

    /**
     * 停止抽取
     *
     * @param meetingId 会议ID
     **/
    void stopRandomInvite(Long meetingId);

    /**
     * 工作台会议状态统计
     *
     * @param createBy 创建人
     * @return 各状态会议统计
     * @author WendyYang
     **/
    Map<MeetingStatusByDashboard, Integer> meetingCountSummary(Long createBy);

}
