package com.hz.pm.api.meeting.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hz.pm.api.meeting.entity.domain.MeetingOuterProject;
import com.hz.pm.api.meeting.mapper.MeetingOuterProjectMapper;
import com.hz.pm.api.meeting.service.IMeetingOuterProjectService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 会议评审外部项目 服务实现类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-28
 */
@Service
public class MeetingOuterProjectServiceImpl extends ServiceImpl<MeetingOuterProjectMapper, MeetingOuterProject> implements IMeetingOuterProjectService {

    @Override
    public List<MeetingOuterProject> listByMeetingId(Long meetingId) {
        return list(Wrappers.lambdaQuery(MeetingOuterProject.class)
                .eq(MeetingOuterProject::getMeetingId, meetingId));
    }

}
