package com.hz.pm.api.meeting.task;

import com.hz.pm.api.common.config.ThreadPoolUtilProperties.ThreadPoolProperties;
import com.hz.pm.api.common.util.MDCThreadPoolTaskScheduler;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler;

/**
 * <p>
 * ExpertInviteExecutorConfig
 * </p>
 *
 * @author WendyYang
 * @since 16:21 2022/8/16
 */
@Configuration
public class ExpertInviteExecutorConfig {

    @Bean(name = "expertInviteScheduler")
    public ThreadPoolTaskScheduler threadPoolTaskScheduler(RandomInviteProperties properties) {
        ThreadPoolProperties threadPoolProperties = properties.getThreadPoolProperties();
        MDCThreadPoolTaskScheduler scheduler = new MDCThreadPoolTaskScheduler();
        scheduler.setPoolSize(threadPoolProperties.getCorePoolSize());
        scheduler.setThreadGroupName("expert-invite");
        scheduler.setThreadNamePrefix(threadPoolProperties.getThreadNamePrefix());
        scheduler.setAwaitTerminationSeconds(120);
        scheduler.setWaitForTasksToCompleteOnShutdown(threadPoolProperties.getWaitForTasksToCompleteOnShutdown());
        return scheduler;
    }

}
