package com.hz.pm.api.meta.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/22 下午2:27
 */
@Data
@ToString(callSuper = true)
@ApiModel(value = "TagTreeVO", description = "标签树状结构VO")
public class ResTagTreeVO {

    /**
     * 标签 编码
     * 根标签 擅长方向 good_at
     * 技术专长 technical_expertise
     * 行业领域 industry_sector
     * 其他 other
     */
    @ApiModelProperty(value = "     * 标签 编码\n" +
            "     * 根标签\u2028擅长方向 good_at\n" +
            "     * 技术专长 technical_expertise\n" +
            "     * 行业领域 industry_sector\n" +
            "     * 其他 other")
    private String tagCode;

    /**
     * 标签名称
     */
    @ApiModelProperty(value = "标签名称")
    private String tagName;

    /**
     * 标签级别
     */
    @ApiModelProperty(value = "标签级别")
    private Long tagLevel;

    /**
     * 标签父级id
     * 当parent_tag_code 为 -1 时为顶级标签
     */
    @ApiModelProperty(value = "     * 标签父级id\n" +
            "     * 当parent_tag_code 为 -1 时为顶级标签")
    private String parentCode;

    @ApiModelProperty(value = "子节点标签")
    private List<ResTagTreeVO> children;

    @ApiModelProperty(value = "联合唯一字段方便页面使用（tagName##tagCode）")
    private String unionCode;
}
