package com.hz.pm.api.open.model.po;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author CMM
 * @since 2024-05-10
 */
@ApiModel(description = "会议专家信息列表请求入参")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ReqMeetingExpertSignPO {

    @ApiModelProperty("校验公钥")
    @NotBlank(message = "秘钥不能为空")
    private String key;

    @ApiModelProperty("会议ID")
    @NotNull(message = "会议ID不能为空")
    private Long meetingId;

    @ApiModelProperty("专家用户ID")
    @NotNull(message = "专家用户ID不能为空")
    private Long userId;

    @ApiModelProperty("签到时间")
    @NotNull(message = "签到时间不能为空")
    private LocalDateTime signTime;

    @ApiModelProperty("签到地点")
    @NotBlank(message = "签到地点不能为空")
    private String signAddress;
}
