package com.hz.pm.api.open.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.hz.pm.api.meeting.entity.enumeration.ExpertJudgeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.time.LocalDateTime;

/**
 * <p>
 * ExpertJudgeToMhVO
 * </p>
 *
 * @author WendyYang
 * @since 16:01 2024/6/17
 */
@Data
@Builder
public class ExpertJudgeToMhVO {

    @Tolerate
    public ExpertJudgeToMhVO() {
        // 默认构造方法
    }

    @ApiModelProperty("专家评价ID")
    private Long expertJudgeId;

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("信创专家ID")
    private String mhExpertId;

    @ApiModelProperty("专家id")
    private Long userId;

    @ApiModelProperty("评分（0~5）")
    private Double score;

    /**
     * @see ExpertJudgeEnum.AttendStatus
     */
    @ApiModelProperty("是否参加：1 准时、2 迟到、3 缺席")
    private Integer attended;

    /**
     * @see ExpertJudgeEnum.Performance
     */
    @ApiModelProperty("参与程度：1 积极、2 消极")
    private Integer performance;

    @ApiModelProperty("是否提出建议：true 是、false 否")
    private Boolean advised;

    @ApiModelProperty("是否早退：true 早退、false 未早退")
    private Boolean leaveEarly;

    @ApiModelProperty("是否违规：true 是、false 否")
    private Boolean brokeRule;

    @ApiModelProperty("违规内容")
    private String brokeRuleContent;

    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createOn;

}
