package com.hz.pm.api.open.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 外部调用接口会议专家信息实体
 *
 * @author CMM
 * @since 2024/05/10 17:16
 */
@Data
public class MeetingExpertInfoVO {


    /**
     * 会议信息
     */

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("会议开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("会议结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("会议名称")
    private String meetingName;

    @ApiModelProperty("会议地址")
    private String meetingAddress;

    @ApiModelProperty("联系人")
    private String connecter;

    @ApiModelProperty("联系方式")
    private String contact;

    /**
     * 专家信息列表
     */
    @ApiModelProperty("专家信息列表")
    private List<ExpertInfoVO> expertInfoList;
}
