package com.hz.pm.api.performance.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 应用评价信息
 * </p>
 *
 * @author CMM
 * @since 2023/08/08 18:46
 */
@Data
public class AppAppraisalInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("应用指标ID")
    private Long indexId;

    @ApiModelProperty("评价得分")
    @NotNull(message = "得分不能为空!")
    private BigDecimal score;

    @ApiModelProperty("指标类型")
    private Integer indexType;
}
