package com.hz.pm.api.performance.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Classname PerformanceAppraisalProjectGroupSaveDTO
 * @Description 绩效评价和项目分组
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "绩效评价项目分组", description = "绩效评价项目分组")
public class PerformanceAppraisalProjectGroupSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("计划id")
    private Long appraisalId;

    @ApiModelProperty("状态 0关闭 1开启")
    private Integer status = 0;

    @ApiModelProperty("分组内的所有项目code")
    private List<String> projectCodes;

    @ApiModelProperty("复评人员")
    private List<String> reAppraisalUsers;

    @ApiModelProperty("核查人员")
    private List<String> verificationUsers;

    @ApiModelProperty("核查组长")
    private String verifyLeader;
}
