package com.hz.pm.api.performance.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 绩效评级-应用指标库 新增指标保存
 * @return
 * @author CMM
 * @since 2023/07/29 10:04
 */
@Data
@ApiModel(value = "绩效评价考核应用指标库", description = "绩效评价考核应用指标库")
public class PerformanceIndicatorAppIndexSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("指标名称")
    private String indexName;

    @ApiModelProperty("指标所属模块")
    private String indexOwningModule;

    @ApiModelProperty("指标展示顺序")
    private Integer sort;

    @ApiModelProperty("展示形式(1 图标、2 文字、3 评分)")
    private Integer displayForm;

    @ApiModelProperty("指标类型(1 通用指标、2 辅助指标)")
    private Integer indexType;

    @ApiModelProperty("指标分值")
    private BigDecimal indexScore;

    @ApiModelProperty("单位")
    private String unit;

    @ApiModelProperty("指标定义")
    private String indexDef;
}
