package com.hz.pm.api.performance.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Classname PerformanceIndicatorProjectTemplateSaveDTO
 * @Description 绩效评价考核模板 保存
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "绩效评价考核项目指标模板", description = "绩效评价考核项目指标模板")
public class PerformanceIndicatorProjectTemplateSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("模板名称")
    private String name;

    @ApiModelProperty("项目年度")
    private Integer projectYear;

    @ApiModelProperty("项目类型 ")
    private Integer projectType;

    @ApiModelProperty("建设类型 1 软件、2 硬件、3 软硬件")
    private Integer constructType;

    @ApiModelProperty("项目资金范围 1.500万元以下、2.500-2000万元，3.2000万元及以上")
    private Integer amountRange;

    @ApiModelProperty("状态 0 1")
    private Integer status;

    @ApiModelProperty("绩效指标详情")
    private List<ProjectTemplateDetailDTO> templateDetails;

    @ApiModelProperty("附加绩效指标详情")
    private List<ProjectTemplateDetailDTO> additionalIndexDetails;

    @ApiModelProperty("项目标签信息")
    private List<Long> projectTagIds;
}
