package com.hz.pm.api.performance.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 项目评价信息
 *
 * @author CMM
 * @since 2023/08/08 18:46
 */
@Data
public class ProjectAppraisalDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("评价应用ID")
    private Long applicationId;

    @ApiModelProperty("评价项目ID")
    private Long appraisalProjectId;

    @ApiModelProperty("评价项目Code")
    private String appraisalProjectCode;

    @ApiModelProperty("评价计划ID")
    private Long appraisalId;

    @ApiModelProperty("项目模板指标详情评价信息集合")
    private List<ProjectAppraisalInfoDTO> appraisalInfoList;

    @ApiModelProperty("应用指标评价信息集合")
    private List<AppAppraisalInfoDTO> appAppraisalInfoList;

    @ApiModelProperty("项目是否需要整改")
    private Boolean isRectify;

    @ApiModelProperty("整改意见")
    private String rectifyOpinion;

    @ApiModelProperty("评价项目所在分组ID")
    private Long groupId;

    @ApiModelProperty("整改结果说明")
    private String rectifyResult;

    @ApiModelProperty("整改结果附件")
    private String rectifyResultAppendix;

    @ApiModelProperty("整改审核结果 1 通过、2 不通过")
    private Integer rectifyAuditResult;

    @ApiModelProperty("整改审核意见")
    private String rectifyAuditOpinion;

    @ApiModelProperty("整改审核附件")
    private String rectifyAuditAppendix;

}
