package com.hz.pm.api.performance.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 项目评价信息
 * @return
 * @author CMM
 * @since 2023/08/08 18:46
 */
@Data
public class ProjectAppraisalInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目模板指标详情ID")
    private Long projectTemplateDetailId;

    @ApiModelProperty("评价得分")
    @NotNull(message = "得分不能为空!")
    private BigDecimal score;

    @ApiModelProperty("评价依据")
    @Size(max = 500)
    private String appraisalBasis;

    @ApiModelProperty("评价依据附件")
    private String appraisalBasisAppendix;
}
