package com.hz.pm.api.performance.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.Size;

/**
 * @author CMM
 * @since 2023/07/26 15:05
 */
@ApiModel(value = "ProjectCoreBusinessDTO对象", description = "")
@Data
public class ProjectCoreBusinessDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("核心业务ID")
    private Long id;

    @ApiModelProperty("核心业务")
    private String coreBusiness;

    @ApiModelProperty("业务指标分值")
    @Range(min = 0, max = 10, message = "数值范围不正确,数值应大于0小于10")
    private BigDecimal score;

    @ApiModelProperty("业务指标名称")
    @Size(max = 100)
    private String businessIndicatorName;

    @ApiModelProperty("业务指标描述")
    @Size(max = 100)
    private String businessIndicatorDescription;

    @ApiModelProperty("指标设计依据")
    @Size(max = 100)
    private String indexDesignBasis;

    @ApiModelProperty("指标计算方法")
    @Size(max = 100)
    private String indexCalculationMethod;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编号")
    private String projectCode;
}
