package com.hz.pm.api.performance.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Classname PerformanceIndicatorProjectTemplateDetail
 * @Description 绩效评价考核项目指标模板
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "绩效评价考核项目指标模板详情保存树", description = "绩效评价考核项目指标模板详情保存树")
public class ProjectTemplateDetailDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("关联模板ID")
    private Long templateId;

    @ApiModelProperty("指标ID")
    private Long indexId;

    @ApiModelProperty("指标名称")
    private String name;

    @ApiModelProperty("指标类型 1一级指标 2二级指标 3三级指标")
    private Integer type;

    @ApiModelProperty("父级指标id")
    private Long parentId;

    @ApiModelProperty("指标分值 3级指标才有")
    @Range(min = 0, max = 100, message = "数值范围不正确,数值应大于0小于100")
    private BigDecimal indexScore;

    @ApiModelProperty("指标细则 3级指标才有")
    private String indexDetail;

    @ApiModelProperty("评分细则")
    private String gradeDetail;

    @ApiModelProperty("佐证材料 描述")
    private String supportMaterial;

    @ApiModelProperty("子指标")
    private List<ProjectTemplateDetailDTO> children;
}
