package com.hz.pm.api.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Classname PerformanceAppraisal
 * @Description 绩效评价对象
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@TableName("nd_performance_appraisal")
@ApiModel(value = "绩效评价对象", description = "绩效评价对象")
public class PerformanceAppraisal implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;

    @ApiModelProperty("计划名称")
    private String name;

    @ApiModelProperty("评价目标 1项目 2应用 可多选 1,2")
    private String target;

    @ApiModelProperty("终验后 xx 天开始自评")
    private Integer startSelfDays;

    @ApiModelProperty("xx 天需完成自评")
    private Integer completeSelfDays;

    @ApiModelProperty("区域编码")
    private String regionCode;

    @ApiModelProperty("备注")
    private String remark;
}
