package com.hz.pm.api.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Classname PerformanceIndicatorTemplate
 * @Description 绩效评价考核项目指标模板
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@TableName("nd_performance_indicator_project_template")
@ApiModel(value = "绩效评价考核项目指标模板", description = "绩效评价考核项目指标模板")
public class PerformanceIndicatorProjectTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;

    @ApiModelProperty("模板名称")
    private String name;

    @ApiModelProperty("丽水 区域code")
    private String regionCode;

    @ApiModelProperty("项目类型")
    private Integer projectType;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("建设类型")
    private Integer constructType;

    @ApiModelProperty("状态 0关闭 1开启")
    private Integer status;

    @ApiModelProperty("项目资金范围 1.500万元以下、2.500-2000万元，3.2000万元及以上")
    private Integer amountRange;

    @ApiModelProperty("项目标签信息")
    private String projectTagIds;
}
