package com.hz.pm.api.performance.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 应用评价指标
 * </p>
 *
 * @author CMM
 * @since 2023/08/08 8:55
 */
@Data
@ApiModel(value = "应用评价指标模版详情", description = "应用评价指标模版详情")
public class AppAppraisalIndexDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("申报/建设单位")
    private String buildOrgName;

    @ApiModelProperty("应用状态")
    private String applicationStatus;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("通用指标详情")
    private List<AppIndexDetailVO> commonIndexDetails;

    @ApiModelProperty("辅助指标详情")
    private List<AppIndexDetailVO> auxIndexDetails;

    @ApiModelProperty("业务指标详情")
    private List<AppBusinessIndexDetailVO> businessIndexDetails;

}
