package com.hz.pm.api.performance.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;


/**
 * <p>
 * AppIndexDetailVO
 * </p>
 *
 * @author CMM
 * @since 2023/08/14 8:55
 */
@Data
public class AppBusinessIndexDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("核心业务")
    private String coreBusiness;

    @ApiModelProperty("业务指标分值")
    private BigDecimal score;

    @ApiModelProperty("业务指标名称")
    private String businessIndicatorName;

    @ApiModelProperty("业务指标描述")
    private String businessIndicatorDescription;

    @ApiModelProperty("指标设计依据")
    private String indexDesignBasis;

    @ApiModelProperty("指标计算方法")
    private String indexCalculationMethod;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("关联的应用ID")
    private Long applicationId;

    @ApiModelProperty("评价得分")
    private BigDecimal appraisalScore;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;
}
