package com.hz.pm.api.performance.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * PerformanceAppraisalAppVO
 *
 * @author CMM
 * @return \
 */
@Data
@ApiModel(value = "绩效评价应用对象", description = "绩效评价应用对象")
public class PerformanceAppraisalAppVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("应用ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("删除时间")
    private LocalDateTime deleteOn;

    @ApiModelProperty("应用类型")
    private String applicationType;

    @ApiModelProperty("是否数改系统 0:否 1:是")
    private Integer isDigitalModification;

    @ApiModelProperty("数改系统 1: '党政机关整体智治',2: '数字政府',3: '数字经济',4: '数字社会',7: '数字文化',5: '数字法治',6: '一体化智能化公共数据平台', 8: '基层智治'   多个用英文,分隔")
    private String digitalModification;

    @ApiModelProperty("业务领域")
    private String bizDomain;

    @ApiModelProperty("发布端")
    private String publishSide;

    @ApiModelProperty("应用简介")
    private String applicationSummary;

    @ApiModelProperty("等保级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer secrecyGrade;

    @ApiModelProperty("密码测评级别 1:一级 2:二级 3:三级 4:四级 5:五级")
    private Integer passwordGrade;

    @ApiModelProperty("申报单位名称")
    private String buildOrgName;

    @ApiModelProperty("申报单位编码")
    private String buildOrgCode;

    private Long createBy;

    private Long updateBy;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("项目版本")
    private Integer projectVersion;

    @ApiModelProperty("是否为建设方案申报")
    private Boolean isConstruct;

    @ApiModelProperty("应用核心业务")
    private Boolean coreBusinessList;

    @ApiModelProperty("是否可以评价")
    private Boolean canAppraisal;

    @ApiModelProperty("评价计划ID")
    private Long appraisalId;

}
