package com.hz.pm.api.performance.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 项目评价指标
 * @return
 * @author CMM
 * @since 2023/08/08 8:55
 */
@Data
@ApiModel(value = "项目自(复)评项目指标模版详情", description = "项目自(复)评项目指标模版详情")
public class ProjectAppraisalIndexDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String buildOrgName;

    @ApiModelProperty("项目状态")
    private Integer projectStatus;

    @ApiModelProperty("批复金额")
    private BigDecimal approvalAmount;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("绩效指标详情")
    private List<ProjectTemplateDetailVO> templateDetails;

    @ApiModelProperty("附加绩效指标详情")
    private List<ProjectTemplateDetailVO> additionalIndexDetails;

    @ApiModelProperty("自评总得分")
    private BigDecimal selfAppraisalTotalScore;

    @ApiModelProperty("复评总得分")
    private BigDecimal reAppraisalTotalScore;

    @ApiModelProperty("核查总得分")
    private BigDecimal verifyTotalScore;

    @ApiModelProperty("整改审核总得分")
    private BigDecimal rectifyAuditTotalScore;
}
