package com.hz.pm.api.projectdeclared.controller;

import com.hz.pm.api.projectdeclared.manage.OperationManage;
import com.hz.pm.api.projectdeclared.model.dto.OperationReq;
import com.hz.pm.api.projectdeclared.model.vo.OperationVO;
import com.ningdatech.log.annotation.WebLog;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * OperationController
 * </p>
 *
 * @author WendyYang
 * @since 10:02 2024/3/29
 */
@Slf4j
@Validated
@RestController
@Api(tags = "实施管理")
@RequestMapping("/api/v1/declared/operation")
@RequiredArgsConstructor
public class OperationController {
    private final OperationManage operationManage;

    @ApiOperation("项目实施详情")
    @GetMapping("/detail/{projectId}")
    public List<OperationVO> detailByProjectId(@PathVariable Long projectId) {
        return operationManage.detail(projectId);
    }

    @ApiOperation("标段实施详情")
    @GetMapping("/detailByBidId/{bidId}")
    public OperationVO detailByBidId(@PathVariable Long bidId) {
        return operationManage.detailByBidId(bidId);
    }

    @PostMapping("/push-operation")
    @ApiOperation("填写实施计划")
    @WebLog("填写实施计划")
    public String pushOperation(@RequestBody OperationReq operation) {
        return operationManage.pushOperation(operation);
    }

}
