package com.hz.pm.api.projectdeclared.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Classname ContructionSuggestionsDTO
 * @Description
 * @Date 2023/5/30 15:35
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "专家建设建议", description = "")
public class ContructionSuggestionsDTO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("实例ID")
    @NotNull(message = "实例ID不能为空")
    private String instanceId;

    @ApiModelProperty("项目编号")
    @NotNull(message = "项目编号不能为空")
    private String projectCode;

    @ApiModelProperty("建议项目总投资")
    @NotNull(message = "建议项目总投资不能为空")
    private BigDecimal proposeTotalInvest;

    @ApiModelProperty("建议年度预算")
    @NotNull(message = "建议年度预算不能为空")
    private BigDecimal proposeAnnualBudget;

    @ApiModelProperty("建议评审意见附件")
    @NotBlank(message = "建议评审意见附件不能为空")
    private String proposeAttachFiles;
}
