package com.hz.pm.api.projectdeclared.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 合同信息编辑
 * </p>
 *
 * @author WendyYang
 * @since 14:14 2024/8/8
 */
@Data
@ApiModel(value = "ContractVO")
public class EditContractDTO {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("合同名称")
    private String name;

    @ApiModelProperty("合同总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("供应商开户行")
    private String supplierBank;

    @ApiModelProperty("供应商开户行帐号")
    private String supplierAccount;

    @ApiModelProperty("质保期 年")
    private Integer warrantyPeriod;

    @ApiModelProperty("质保金")
    private BigDecimal retentionMoney;

    @ApiModelProperty("合同完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime contractTime;

    @ApiModelProperty("交货日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime deliveryTime;

    @ApiModelProperty("附件")
    private String attachment;

    @ApiModelProperty("供应商联系人")
    private String supplierContact;

    @ApiModelProperty("供应商联系方式")
    private String supplierContactInfo;

    @ApiModelProperty("合同编号")
    private String constructionNo;

}