package com.hz.pm.api.projectdeclared.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 采购信息编辑实体类
 * </p>
 *
 * @author WendyYang
 * @since 14:14 2024/8/8
 */
@Data
@ApiModel(value = "采购对象")
@AllArgsConstructor
public class EditPurchaseDTO {

    public static final String FIELD_ID = "id";

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("标段预算")
    private BigDecimal bidBudget;

    @ApiModelProperty("标段名称")
    private String bidName;

    @ApiModelProperty("标段类型")
    private Integer bidType;

    @ApiModelProperty("供应商")
    private String supplier;

    @ApiModelProperty("供应商联系人")
    private String supplierContact;

    @ApiModelProperty("供应商联系方式")
    private String supplierContactInfo;

    @ApiModelProperty("供应商社会信用代码")
    private String supplierSocialCreditCode;

    @ApiModelProperty("采购方式 1公开招标 2自行采购")
    private String purchaseMethod;

    @ApiModelProperty("成交金额")
    private BigDecimal transactionAmount;

    @ApiModelProperty("成交时间")
    private LocalDateTime transactionTime;

    @ApiModelProperty("代理机构")
    private String agency;

    @ApiModelProperty("投标地址(政府采购网地址)")
    private String bidAddress;

    @ApiModelProperty("开标时间")
    private LocalDateTime bidStartTime;

    @ApiModelProperty("投标截止时间")
    private LocalDateTime bidEndTime;

    @ApiModelProperty("代理机构社会统一信用代码")
    private String purchaseSocialCreditCode;

    @ApiModelProperty("投标文件")
    private String biddingDoc;

    @ApiModelProperty("招标文件")
    private String bidDoc;

    @ApiModelProperty("中标通知书")
    private String acceptanceLetter;

    @ApiModelProperty("预算执行确认书编号")
    private String budgetExecConfirmNo;

    @ApiModelProperty("标段建设内容")
    private String bidBuildContent;

    @ApiModelProperty("采购范围：1 公开采购、2 非公开采购")
    private Integer purchaseScope;

    @ApiModelProperty("采购单位")
    private String purchaseUnit;

    @ApiModelProperty("采购联系人")
    private String purchaseContact;

    @ApiModelProperty("采购联系电话")
    private String purchasePhone;

    @ApiModelProperty("采购联系地址")
    private String purchaseConnectAddress;

    @ApiModelProperty("采购说明")
    private String purchaseRemark;

    @ApiModelProperty("是否符合信创符合性要求")
    private Boolean matchXcfhx;

    @ApiModelProperty("备注")
    private String xcfhxApplyRemark;

    @ApiModelProperty("其他附件")
    private String xcfhxApplyFiles;

    @ApiModelProperty("信创报告")
    private String xcfhxReportFiles;

    @ApiModelProperty("信创符合性测评报告文件")
    private String mhXcfhxReportFile;

    @ApiModelProperty("信创符合性测评记录ID")
    private String mhXcfhxReportRecordId;

    @ApiModelProperty("初验材料")
    private String preliminaryInspectionMaterials;

    @ApiModelProperty("初验 是否完成日志数据归集")
    private Boolean isCompletedLogCollection;

    @ApiModelProperty("初验 实际成效指标")
    private String actualPerformanceIndicators;

    @ApiModelProperty("初验时间")
    private LocalDate preliminaryInspectionDate;

    @ApiModelProperty("终验时间")
    private LocalDate finalInspectionDate;

    @ApiModelProperty("终验申报材料")
    private String finalInspectionMaterials;

    @ApiModelProperty("资源类型 1手动新增 2系统生成 3大数据局")
    private Integer sourceType;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("标项支付金额")
    private BigDecimal bidPayAmount;

    @ApiModelProperty("采购时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate purchaseDate;

    @ApiModelProperty("是否发布信创云图")
    private Boolean publishMhNotice;

    @ApiModelProperty("信创测评时间")
    private LocalDate xcfhxEvalFinishDate;

    @ApiModelProperty("是否完成等保测评")
    private Boolean hasSecurityEval;

    @ApiModelProperty("等保测评时间")
    private LocalDate securityEvalDate;

    @ApiModelProperty("等保测评材料")
    private String securityEvalMaterials;

}
