package com.hz.pm.api.projectdeclared.model.dto;

import com.hz.pm.api.projectdeclared.model.vo.PreInsAcceptancePersonVO;
import com.hz.pm.api.projectdeclared.utils.ProjectDetailDiffUtil.FieldDiff;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * PurchaseEditDTO
 * </p>
 *
 * @author WendyYang
 * @since 11:12 2024/8/6
 */
@Data
public class EditPurchaseDetailDTO {

    public static final String FIELD_PURCHASE = "purchase";

    public static final String FIELD_CONTRACT = "contract";

    public static final String FIELD_OPERATION = "operation";

    public static final String FIELD_FIRST_INSPECTED_PERSONS = "firstInspectedPersons";

    public static final String FIELD_PURCHASE_DIFFS = "purchaseDiffs";

    public static final String FIELD_CONTRACT_DIFFS = "contractDiffs";

    public static final String FIELD_OPERATION_DIFFS = "operationDiffs";

    public static final String FIELD_FIRST_INSPECTED_PERSONS_DIFF = "firstInspectedPersonsDiff";

    //==================================================================================================================

    @ApiModelProperty("采购信息")
    private EditPurchaseDTO purchase;

    private List<FieldDiff> purchaseDiffs;

    @ApiModelProperty("合同信息")
    private EditContractDTO contract;

    private List<FieldDiff> contractDiffs;

    @ApiModelProperty("实施信息")
    private EditOperationDTO operation;

    private List<FieldDiff> operationDiffs;

    @ApiModelProperty("初验人员")
    private List<PreInsAcceptancePersonVO> firstInspectedPersons;

    private FieldDiff firstInspectedPersonsDiff;


}
