package com.hz.pm.api.projectdeclared.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * 实施计划参数类
 * </p>
 *
 * @author WendyYang
 * @since 09:25 2024/2/23
 */
@Data
@ApiModel(value = "实施对象DTO")
public class OperationReq {

    @ApiModelProperty("实施计划ID")
    private Long operationId;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("项目Code")
    private String projectCode;

    @ApiModelProperty("项目开工时间")
    @NotNull(message = "项目开工时间不能为空")
    private LocalDateTime projectStartDate;

    @ApiModelProperty("初验时间")
    @NotNull(message = "初验时间不能为空")
    private LocalDateTime initialInspectionDate;

    @ApiModelProperty("终验时间")
    @NotNull(message = "终验时间不能为空")
    private LocalDateTime finalInspectionDate;

    @ApiModelProperty("开始实施时间")
    private LocalDateTime startTrialOperationDate;

    @ApiModelProperty("试运行开始时间")
    private LocalDateTime pilotRunStartDate;

    @ApiModelProperty("适配改造时间")
    private LocalDateTime adaptationTime;

    @ApiModelProperty("系统自测时间")
    private LocalDateTime selfTestTime;

    @ApiModelProperty("测试验证时间")
    private LocalDateTime testValidTime;

}
