package com.hz.pm.api.projectdeclared.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Classname ReviewChecklistApproveDTO
 * @Description
 * @Date 2023/11/07 15:35
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ReviewChecklistApproveDTO", description = "")
public class ReviewChecklistApproveDTO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目编号")
    @NotBlank(message = "请传项目编号")
    private String projectCode;

    @ApiModelProperty("标题")
    @NotBlank(message = "请传入标题")
    private String title;

    @ApiModelProperty("子标题")
    @NotBlank(message = "请传入子标题")
    private String subTitle;

    @ApiModelProperty("内容")
    @NotBlank(message = "请传入内容")
    private String content;

    @ApiModelProperty("对应页码")
    @NotBlank(message = "请传入对应页码")
    private String corrPageNum;

    @ApiModelProperty("否决情形")
    @NotBlank(message = "请传入否决情形")
    private String rejectionSituation;

    @ApiModelProperty("响应情况")
    @NotBlank(message = "请传入响应情况")
    private String responseSituation;

    @ApiModelProperty("评审意见")
    @NotBlank(message = "请传入评审意见")
    private String reviewComments;

    @ApiModelProperty("审核结果 1.通过 2不通过 3一票否决")
    @NotNull(message = "请传入审核结果")
    private Integer reviewResult;

}
