package com.hz.pm.api.projectdeclared.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Classname XcfhxApplyEditDTO
 * @Description
 * @Date 2024/7/2 15:38
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "信创审查对象", description = "采购对象")
@AllArgsConstructor
public class XcfhxApplyEditDTO {
    @ApiModelProperty("系统名称")
    @NotNull(message = "编辑时id必传")
    private Long id;


    @ApiModelProperty("系统名称")
    private String bidName;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("信创符合性测评报告文件")
    private String mhXcfhxReportFile;

    @ApiModelProperty("信创符合性测评记录ID")
    private String mhXcfhxReportRecordId;

    @ApiModelProperty("是否符合信创符合性要求")
    @NotNull(message = "复合型要求必填")
    private Boolean matchXcfhx;

    @ApiModelProperty("信创符合性申请备注")
    private String xcfhxApplyRemark;

    @ApiModelProperty("信创符合性申请其他附件")
    private String xcfhxApplyFiles;

    @ApiModelProperty("信创报告")
    private String xcfhxReportFiles;

    @ApiModelProperty("资源类型 1手动新增 2系统生成 3大数据局")
    private Integer sourceType;

    @ApiModelProperty("单位名称")
    private String buildOrgName;
}
