package com.hz.pm.api.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * 初验人员
 * </p>
 *
 * @author WendyYang
 * @since 20:57 2024/2/24
 */
@Data
@TableName("nd_pre_ins_acceptance_person")
@ApiModel(value = "PreInsAcceptancePerson")
public class PreInsAcceptancePerson {

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改人人")
    private String updateBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("人员名称")
    private String personName;

    @ApiModelProperty("单位")
    private String unit;
}
