package com.hz.pm.api.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目评审信息表
 * </p>
 *
 * @author WendyYang
 * @since 2024-04-17
 */
@Data
@TableName("ND_PROJECT_REVIEW")
@ApiModel(value = "NdProjectReview对象")
public class ProjectReview {

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    private Long projectId;

    private String projectCode;

    private String buildNecessity;

    private String needRationality;

    private String techFeasibility;

    private Short reviewResult;

    private String otherAdvices;

    private String investRationality;

    private BigDecimal suggestedFunding;

    private String attachFiles;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

}
