package com.hz.pm.api.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.hz.pm.api.common.enumeration.ProjectProcessType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * PurchaseInst
 * </p>
 *
 * @author WendyYang
 * @since 23:06 2024/2/24
 */
@Data
@TableName("nd_purchase_inst")
public class PurchaseInst {

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("实例ID")
    private String instCode;

    @ApiModelProperty("实例类型 1单位内部审批流程 2项目预审审批流程 3部门联合审批流程 4建设方案审批流程 5验收申报审批流程")
    private Integer instType;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    public void setInstType(ProjectProcessType processStage) {
        this.instType = processStage.getCode();
    }

    public void setInstType(Integer instType) {
        this.instType = instType;
    }

}
