package com.hz.pm.api.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.time.LocalDateTime;

/**
 * <p>
 * 信创信息
 * </p>
 *
 * @author ZPF
 * @since 15:07 2024/7/2
 */
@Data
@TableName("nd_xinchuang")
@ApiModel(value = "信创对象")
public class Xinchuang {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("系统名称")
    private String bidName;

    @ApiModelProperty("单位code")
    private String buildOrgCode;

    @ApiModelProperty("单位名称")
    private String buildOrgName;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人 工号")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty("修改人 工号")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    private Integer status;

    @ApiModelProperty("是否符合信创符合性要求")
    private Boolean matchXcfhx;

    @ApiModelProperty("信创符合性申请备注")
    private String xcfhxApplyRemark;

    @ApiModelProperty("信创符合性申请其他附件")
    private String xcfhxApplyFiles;

    @ApiModelProperty("信创符合性测评报告文件")
    private String mhXcfhxReportFile;

    @ApiModelProperty("信创符合性测评记录ID")
    private String mhXcfhxReportRecordId;

    @ApiModelProperty("信创报告")
    private String xcfhxReportFiles;

    @ApiModelProperty("资源类型 1手动新增 2系统生成 3大数据局")
    private Integer sourceType;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("实例code")
    private String instCode;
}
