package com.hz.pm.api.projectdeclared.model.enumerization;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * PurchaseScopeEnum
 * </p>
 *
 * @author WendyYang
 * @since 13:28 2024/3/25
 */
@Getter
@AllArgsConstructor
public enum PurchaseScopeEnum {

    PUBLIC(1, "公开采购", "Y"),
    PRIVATE(2, "非公开采购", "N");

    private final Integer code;
    private final String val;
    private final String mhCode;

    public boolean eq(Integer code) {
        return this.code.equals(code);
    }

    public static Optional<PurchaseScopeEnum> getByMhCode(String mhCode) {
        return Arrays.stream(values())
                .filter(w -> w.getMhCode().equals(mhCode))
                .findFirst();
    }

    public static Optional<PurchaseScopeEnum> getByCode(Integer code) {
        return Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst();
    }

}
