package com.hz.pm.api.projectdeclared.model.enumerization;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * PurchaseScopeEnum
 * </p>
 *
 * @author WendyYang
 * @since 13:28 2024/3/25
 */
@Getter
@AllArgsConstructor
public enum PurchaseSourceTypeEnum {
    /**
     * 资源类型
     */
    MANUAL_ADDITION(1, "手动新增"),
    SYSTEM_AUTO(2, "系统生成"),
    BIG_DATA(3, "大数据局推送");

    private final Integer code;
    private final String desc;

    public boolean eq(Integer code) {
        return this.code.equals(code);
    }

    public static PurchaseSourceTypeEnum match(Integer code) {
        return Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst().orElse(null);
    }

    public static String desc(Integer code) {
        Optional<PurchaseSourceTypeEnum> optional = Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst();
        if(optional.isPresent()) {
            return optional.get().getDesc();
        }
        return StringUtils.EMPTY;
    }
}
