package com.hz.pm.api.projectdeclared.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * <p>
 * 标段终验材料参数类
 * </p>
 *
 * @author WendyYang
 * @since 20:42 2024/2/24
 */
@Data
public class SubmitFinallyInspectedReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("终验时间")
    @NotNull(message = "终验时间不能为空")
    private LocalDate inspectionDate;

    @ApiModelProperty("终验材料")
    @NotBlank(message = "请提交终验材料")
    private String inspectionMaterials;

    @ApiModelProperty("是否完成等保测评")
    private Boolean hasSecurityEval;

    @ApiModelProperty("等保测评时间")
    private LocalDate securityEvalDate;

    @ApiModelProperty("等保测评材料")
    private String securityEvalMaterials;

    @ApiModelProperty("是否符合信创符合性要求")
    private Boolean matchXcfhx;

    @ApiModelProperty("信创符合性测评报告文件")
    private String xcfhxReportFiles;

    @ApiModelProperty("信创测评完成时间")
    private LocalDate xcfhxEvalFinishDate;

}
