package com.hz.pm.api.projectdeclared.model.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * SubmitPurchaseContractRecordReq
 * </p>
 *
 * @author WendyYang
 * @since 13:55 2024/7/9
 */
@Data
public class SubmitPurchaseContractRecordReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "请传项目ID")
    private Long projectId;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("标段类型")
    private Integer bidType;

    @ApiModelProperty("供应商")
    private String supplier;

    @ApiModelProperty("供应商社会信用代码")
    private String supplierSocialCreditCode;

    @ApiModelProperty("投标文件")
    private String biddingDoc;

    @ApiModelProperty("中标通知书")
    private String acceptanceLetter;

    @ApiModelProperty("标段建设内容")
    private String bidBuildContent;

    // 合同信息

    @ApiModelProperty("合同ID")
    private Long constructionId;

    @ApiModelProperty("合同名称")
    private String name;

    @ApiModelProperty("合同总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("合同编号")
    private String constructionNo;

    @ApiModelProperty("合同完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime contractTime;

    @ApiModelProperty("附件")
    private String attachment;

    @ApiModelProperty("供应商联系人")
    private String supplierContact;

    @ApiModelProperty("供应商联系方式")
    private String supplierContactInfo;


}
