package com.hz.pm.api.projectdeclared.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 信创符合性申请参数类
 * </p>
 *
 * @author WendyYang
 * @since 21:13 2024/2/24
 */
@Data
public class XcfhxApplyReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("标段ID")
    @NotNull(message = "标段ID不能为空")
    private Long bidId;

    @ApiModelProperty("信创符合性测评报告文件")
    private String mhXcfhxReportFile;

    @ApiModelProperty("信创符合性测评记录ID")
    private String mhXcfhxReportRecordId;

    @ApiModelProperty("是否符合信创符合性要求")
    @NotNull(message = "是否符合信创符合性要求不能为空")
    private Boolean matchXcfhx;

    @ApiModelProperty("备注")
    private String xcfhxApplyRemark;

    @ApiModelProperty("其他附件")
    private String xcfhxApplyFiles;

    @ApiModelProperty("信创报告")
    private String xcfhxReportFiles;

}
