package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * irs项目
 * </p>
 *
 * @author zpf
 * @since 2023-03-06
 */
@ApiModel(value = "irs_application对象", description = "irs项目对象")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IrsApplicationVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("应用编码")
    private String applicationCode;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
}
