package com.hz.pm.api.projectdeclared.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Classname PaymentPlan
 * @Description
 * @Date 2023/5/30 16:11
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "PaymentPlanVO", description = "")
public class PaymentPlanVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty("修改人人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("付款计划")
    private String planAmount;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("计划支付金额")
    private BigDecimal paymentAmount;

    @ApiModelProperty("实际支付金额")
    private BigDecimal actualPaymentAmount;

    @ApiModelProperty("支付比例")
    private String ratio;

    @ApiModelProperty("支付时间")
    @JSONField(format = "yyyy-MM-dd")
    private LocalDateTime paymentTime;

}
