package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * irs任务对象
 * </p>
 *
 * @author zpf
 * @since 2023-03-06
 */
@ApiModel(value = "irs_piot_tasks对象", description = "irs任务对象")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PiotTasksVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("试点任务名称")
    private String taskName;

    @ApiModelProperty("试点任务编号")
    private String taskCode;

    @ApiModelProperty("所属重大应用名称")
    private String importantTaskName;

    @ApiModelProperty("所属重大应用编号")
    private String importantTaskCode;

    @ApiModelProperty("所属子场景应用名称")
    private String subSceneApplicationName;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
}
