package com.hz.pm.api.projectdeclared.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectdeclared.model.entity.Operation;

import java.util.Collection;
import java.util.List;
import java.util.Optional;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zpf
 * @since 2023-05-29
 */
public interface IOperationService extends IService<Operation> {

    default Optional<Operation> getByBidId(Long bidId) {
        LambdaQueryWrapper<Operation> query = Wrappers.lambdaQuery(Operation.class)
                .eq(Operation::getBidId, bidId);
        return Optional.ofNullable(getOne(query));
    }

    default List<Operation> listByBidIds(Collection<Long> bidIds) {
        LambdaQueryWrapper<Operation> query = Wrappers.lambdaQuery(Operation.class)
                .in(Operation::getBidId, bidIds);
        return list(query);
    }

    default long countByBidIds(Collection<Long> bidIds) {
        LambdaQueryWrapper<Operation> query = Wrappers.lambdaQuery(Operation.class)
                .in(Operation::getBidId, bidIds);
        return count(query);
    }

}
