package com.hz.pm.api.projectdeclared.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectdeclared.model.entity.PreInsAcceptancePerson;
import com.ningdatech.basic.util.CollUtils;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zpf
 * @since 2023-05-29
 */
public interface IPreInsAcceptancePersonService extends IService<PreInsAcceptancePerson> {

    default void removeByBidId(Long bidId) {
        Wrapper<PreInsAcceptancePerson> query = Wrappers.lambdaQuery(PreInsAcceptancePerson.class)
                .eq(PreInsAcceptancePerson::getBidId, bidId);
        remove(query);
    }

    default Map<Long, List<PreInsAcceptancePerson>> listByBidIds(Collection<Long> bidIds) {
        Wrapper<PreInsAcceptancePerson> query = Wrappers.lambdaQuery(PreInsAcceptancePerson.class)
                .in(PreInsAcceptancePerson::getBidId, bidIds);
        return CollUtils.group(list(query), PreInsAcceptancePerson::getBidId);
    }

}
