package com.hz.pm.api.projectlib.controller;

import com.hz.pm.api.projectlib.manage.AmountApprovalManage;
import com.hz.pm.api.projectlib.model.req.ProjectListReq;
import com.hz.pm.api.projectlib.model.req.SubmitAmountApprovalReq;
import com.hz.pm.api.projectlib.model.vo.AmountApprovalProgressStatisticsVO;
import com.hz.pm.api.projectlib.model.vo.ProjectLibListItemVO;
import com.ningdatech.basic.model.PageVo;
import com.ningdatech.log.annotation.WebLog;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * AmountApprovalController
 * </p>
 *
 * @author WendyYang
 * @since 17:08 2024/9/4
 */
@Api(tags = "资金下达控制器")
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/amountApproval")
public class AmountApprovalController {

    private final AmountApprovalManage amountApprovalManage;

    @GetMapping("/page")
    @ApiOperation("分页查询")
    public PageVo<ProjectLibListItemVO> page(ProjectListReq req) {
        return amountApprovalManage.page(req);
    }

    @GetMapping("progressStatistics")
    @ApiOperation("资金下达进度统计")
    public AmountApprovalProgressStatisticsVO progressStatistics(ProjectListReq req) {
        return amountApprovalManage.progressStatistics(req);
    }

    @PostMapping("/submit")
    @ApiOperation("资金下达")
    @WebLog("资金下达")
    public void submit(@RequestBody @Valid SubmitAmountApprovalReq req) {
        amountApprovalManage.submitAmountApproval(req);
    }

}
