package com.hz.pm.api.projectlib.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 信产系统改造计划
 * </p>
 *
 * @author WendyYang
 * @since 2024-08-20
 */
@Data
@TableName("MH_SYSTEM_REPLACE_INFO")
@ApiModel(value = "MhSystemReplaceInfo对象")
public class MhSystemReplaceInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.INPUT)
    private String id;

    @ApiModelProperty("替代前系统名称")
    private String sourceName;

    @ApiModelProperty("是否涉密")
    private String isSecret;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    @ApiModelProperty("建设单位代码")
    private Integer buildOrgCode;

    @ApiModelProperty("系统数量")
    private Integer systemNum;

    @ApiModelProperty("替代方式")
    private String replaceType;

    @ApiModelProperty("改造费用")
    private BigDecimal expectCost;

    @ApiModelProperty("替代后系统名称")
    private String targetName;

    @ApiModelProperty("pid")
    private String pid;

    @ApiModelProperty("host")
    private String host;

    @ApiModelProperty("计划开始时间")
    private Integer planStartDate;

    @ApiModelProperty("计划完成时间")
    private Integer planFinishDate;

    @ApiModelProperty("实际完成时间")
    private LocalDateTime actualFinishDate;

    @ApiModelProperty("开始时间")
    private LocalDateTime createOn;

    @ApiModelProperty("是否停用")
    private Boolean stopped;

}
