package com.hz.pm.api.projectlib.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 系统停用备案
 * </p>
 *
 * @author WendyYang
 * @since 2024-09-01
 */
@Data
@TableName("MH_SYSTEM_REPLACE_INFO_STOPPED_RECORD")
@ApiModel(value = "MhSystemReplaceInfoStoppedRecord对象")
public class MhSystemReplaceInfoStoppedRecord {

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("系统改造计划ID")
    private String systemReplaceInfosId;

    @ApiModelProperty("停用时间")
    private LocalDate stoppedDate;

    @ApiModelProperty("停用原因")
    private String stoppedRemark;

    @ApiModelProperty("停用附件")
    private String stoppedFile;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

}
