package com.hz.pm.api.projectlib.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * <p>
 * 政务信息系统改造情况
 * </p>
 *
 * @author WendyYang
 * @since 2024-02-29
 */
@Data
@TableName("ND_PROJECT_GOV_SYSTEM_REPLACE_INFOS")
@ApiModel(value = "NdProjectGovSystemReplaceInfos对象")
public class ProjectGovSystemReplaceInfos implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("替代前系统")
    private String sourceSystem;

    @ApiModelProperty("替代后系统")
    private String targetSystem;

    @ApiModelProperty("替代类型")
    private String replaceType;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("批次号")
    private Integer batchNo;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    private String sourceSystemId;

}
