package com.hz.pm.api.projectlib.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 标段状态变更记录
 * </p>
 *
 * @author WendyYang
 * @since 2024-04-01
 */
@Data
@Builder
@TableName("ND_PURCHASE_STATUS_CHANGE")
public class PurchaseStatusChange implements Serializable {

    private static final long serialVersionUID = 1L;

    @Tolerate
    public PurchaseStatusChange() {
        // no-args constructor
    }

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    private Long projectId;

    private Integer beforeStatus;

    private Integer afterStatus;

    private String event;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    private String projectCode;

    private Long bidId;

}
