package com.hz.pm.api.projectlib.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 区县项目采购信息实体
 * </p>
 *
 * @author WendyYang
 * @since 2024-08-31
 */
@Data
@TableName("QX_PURCHASE")
@ApiModel(value = "QxPurchase对象")
public class QxPurchase {

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("采购预算")
    private BigDecimal purchaseBudget;

    @ApiModelProperty("采购方式")
    private String purchaseMethod;

    @ApiModelProperty("采购单位名称")
    private String purchaseUnitName;

    @ApiModelProperty("采购内容")
    private String buildContent;

    @ApiModelProperty("合同签订时间")
    private LocalDate contractSignDate;

    @ApiModelProperty("合同金额")
    private BigDecimal contractAmount;

    @ApiModelProperty("供应商")
    private String supplier;

    @ApiModelProperty("供应商联系人")
    private String supplierContact;

    @ApiModelProperty("供应商联系方式")
    private String supplierContactInfo;

    @ApiModelProperty("采购方案文件")
    private String purchasePlanFile;

    @ApiModelProperty("招标文件")
    private String inviteTenderFile;

    @ApiModelProperty("投标文件")
    private String biddingFile;

    @ApiModelProperty("采购合同文件")
    private String purchaseContractFile;

    @ApiModelProperty("其他文件")
    private String otherFile;

    @ApiModelProperty("初验时间")
    private LocalDate firstAcceptDate;

    @ApiModelProperty("初验文件")
    private String firstAcceptFile;

    @ApiModelProperty("终验时间")
    private LocalDate finalAcceptDate;

    @ApiModelProperty("终验文件")
    private String finalAcceptFile;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty("更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
