package com.hz.pm.api.projectlib.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 项目应用保存appCode
 * </p>
 *
 * @author ZPF
 * @since 2023-06-21
 */
@Data
@ApiModel(value = "ProjectApplicationSaveDTO", description = "项目应用保存appCode")
public class ApplicationAppCodeSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("应用的id")
    @NotNull(message = "应用id必填")
    private Long id;

    @ApiModelProperty("应用编码")
    @NotBlank(message = "请输入应用编码")
    private String appCode;
}
