package com.hz.pm.api.projectlib.model.dto;

import cn.hutool.core.collection.CollUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

/**
 * <p>
 * GovSystemReplaceInfoDTO
 * </p>
 *
 * @author WendyYang
 * @since 11:49 2024/2/29
 */
@Data
public class GovSystemReplaceInfoDTO implements Serializable {

    private static final long serialVersionUID = -1054216204216816787L;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String buildOrgName;

    @ApiModelProperty("替代前系统名称")
    private List<String> sourceSystemNames;

    @ApiModelProperty("被替代系统名称")
    private String targetSystemName;

    @ApiModelProperty("替代方式")
    private String replaceType;

    @ApiModelProperty("替代前系统id")
    private List<String> sourceSystemIds;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        GovSystemReplaceInfoDTO that = (GovSystemReplaceInfoDTO) o;
        return CollUtil.isEqualList(sourceSystemNames, that.sourceSystemNames)
                && Objects.equals(targetSystemName, that.targetSystemName)
                && Objects.equals(replaceType, that.replaceType)
                && CollUtil.isEqualList(sourceSystemIds, that.sourceSystemIds);
    }

    @Override
    public int hashCode() {
        return Objects.hash(sourceSystemNames, targetSystemName, replaceType);
    }
}
