package com.hz.pm.api.projectlib.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * MhSystemUpgradeInfoDTO
 * </p>
 *
 * @author WendyYang
 * @since 10:06 2024/8/20
 */
@Data
@ApiModel("系统升级信息")
public class MhSystemReplaceInfoDTO {

    @ApiModelProperty("主键ID")
    private String id;

    @ApiModelProperty("系统名称")
    private String systemName;

    @ApiModelProperty("替代后系统名称")
    private String alternativeName;

    @ApiModelProperty("替代方式")
    private String alternativeType;

    @ApiModelProperty("建设单位")
    private String buildUnit;

    @ApiModelProperty("建设单位ID")
    private Integer createUnit;

    @ApiModelProperty("改造费用")
    private BigDecimal expectCost;

    @ApiModelProperty("计划完成时间（时间戳）")
    private Integer expectDate;

    @ApiModelProperty("计划改造开始时间（时间戳）")
    private Integer expectStart;

    @ApiModelProperty("完成时间")
    private LocalDateTime finalTime;

    @ApiModelProperty("host")
    private String host;

    @ApiModelProperty("是否涉密")
    private String isSecret;

    @ApiModelProperty("pid")
    private String pid;

}
