package com.hz.pm.api.projectlib.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * MhSystemBaseInfoVO
 * </p>
 *
 * @author WendyYang
 * @since 13:35 2024/8/16
 */
@Data
public class MhSystemReplaceInfoVO {

    private String id;

    @ApiModelProperty("替代前系统名称")
    private String sourceName;

    @ApiModelProperty("替代后系统名称")
    private String targetName;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    @ApiModelProperty("建设单位代码")
    private Long buildOrgCode;

    @ApiModelProperty("替换类型： IM:改造提升 IT:综合集成 NE:自然淘汰")
    private String replaceType;

    @ApiModelProperty("集成系统数量")
    private Integer systemNum;

    @ApiModelProperty("计划开始年份")
    private Integer planStartDate;

    @ApiModelProperty("计划开始时间")
    private Integer planFinishDate;

    @ApiModelProperty("实际开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime actualStartDate;

    @ApiModelProperty("实际完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime actualFinishDate;

    @ApiModelProperty("是否区县项目")
    private Boolean isCountyProject;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("是否停用")
    private Boolean stopped;

    @ApiModelProperty("停用备案")
    private MhSystemStoppedRecordDTO stoppedRecord;

}
