package com.hz.pm.api.projectlib.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * <p>
 * 系统停用备案
 * </p>
 *
 * @author WendyYang
 * @since 2024-09-01
 */
@Data
public class MhSystemStoppedRecordDTO {

    @ApiModelProperty("系统改造计划ID")
    @NotEmpty(message = "系统改造计划ID不能为空")
    private String systemReplaceInfosId;

    @ApiModelProperty("停用时间")
    @NotNull(message = "停用时间不能为空")
    private LocalDate stoppedDate;

    @ApiModelProperty("停用原因")
    private String stoppedRemark;

    @ApiModelProperty("停用附件")
    private String stoppedFile;

}
