package com.hz.pm.api.projectlib.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * <p>
 * ProjectPaymentPlanDTO
 * </p>
 *
 * @author WendyYang
 * @since 11:36 2024/2/21
 */
@Data
@ApiModel("年度支付计划")
public class ProjectPaymentPlanDTO {

    @ApiModelProperty("支付年度")
    private Integer paymentYear;

    @ApiModelProperty("年度支付计划-年度支付计划(万元)")
    private BigDecimal annualPlanAmount;

    @ApiModelProperty("年度支付计划-自有金额(万元)")
    private BigDecimal annualPlanHaveAmount;

    @ApiModelProperty("年度支付计划-政府投资-本级财政资金(万元)")
    private BigDecimal annualPlanGovOwnFinanceAmount;

    @ApiModelProperty("年度支付计划-政府投资-上级补助资金(万元)")
    private BigDecimal annualPlanGovSuperiorFinanceAmount;


    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ProjectPaymentPlanDTO that = (ProjectPaymentPlanDTO) o;
        return Objects.equals(paymentYear, that.paymentYear)
                && Objects.equals(annualPlanAmount, that.annualPlanAmount)
                && Objects.equals(annualPlanHaveAmount, that.annualPlanHaveAmount)
                && Objects.equals(annualPlanGovOwnFinanceAmount, that.annualPlanGovOwnFinanceAmount)
                && Objects.equals(annualPlanGovSuperiorFinanceAmount, that.annualPlanGovSuperiorFinanceAmount);
    }

    @Override
    public int hashCode() {
        return Objects.hash(paymentYear,
                annualPlanAmount,
                annualPlanHaveAmount,
                annualPlanGovOwnFinanceAmount,
                annualPlanGovSuperiorFinanceAmount);
    }

}
