package com.hz.pm.api.projectlib.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 续建项目资金申请
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
@ApiModel(value = "NdProjectRenewalFundDeclarationDTO", description = "续建项目资金申请表")
@Data
public class ProjectRenewalFundDeclarationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("关联项目ID")
    private Long projectId;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @ApiModelProperty("年度支付金额")
    private BigDecimal annualPaymentAmount;

    @ApiModelProperty("自有资金")
    private BigDecimal haveAmount;

    @ApiModelProperty("政府投资 本级财务金额")
    private BigDecimal govOwnFinanceAmount;

    @ApiModelProperty("政府投资 上级财务金额")
    private BigDecimal govSuperiorFinanceAmount;

    @ApiModelProperty("银行贷款金额")
    private BigDecimal bankLendingAmount;

    @ApiModelProperty("其它金额")
    private BigDecimal otherAmount;

    @ApiModelProperty("单位code")
    private String orgCode;

    @ApiModelProperty("区域code")
    private String regionCode;

    @ApiModelProperty("是否删除 false未删 true已删")
    private Boolean deleted;

}
