package com.hz.pm.api.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.hz.pm.api.external.model.dto.MhProjectSchemeTargetDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 信产项目信息
 * </p>
 *
 * @author WendyYang
 * @since 2024-01-30
 */
@Data
@TableName("MH_PROJECT")
@ApiModel(value = "MhProject对象")
public class MhProject implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目合规性检查附件")
    private String fileId;

    @ApiModelProperty("项目复核附件")
    private String fileIdThree;

    @ApiModelProperty("项目评审附件")
    private String fileIdTwo;

    @ApiModelProperty("项目评审预算金额")
    private BigDecimal money;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目总金额")
    private BigDecimal totalMoney;

    @ApiModelProperty("单位ID")
    private Long unitId;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("申报单位领域")
    private Integer unitStrip;

    private LocalDateTime createTime;

}
