package com.hz.pm.api.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 项目年度支付计划
 * </p>
 *
 * @author WendyYang
 * @since 2024-02-21
 */
@Data
@TableName("ND_PROJECT_ANNUAL_PAYMENT_PLAN")
@ApiModel(value = "NdProjectPaymentPlan对象")
public class ProjectAnnualPaymentPlan implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("支付年度")
    private Integer paymentYear;

    private BigDecimal annualPlanAmount;

    private BigDecimal annualPlanHaveAmount;

    private BigDecimal annualPlanGovOwnFinanceAmount;

    private BigDecimal annualPlanGovSuperiorFinanceAmount;

    private Long projectId;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("项目版本")
    private Integer projectVersion;

}
