package com.hz.pm.api.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.hz.pm.api.common.enumeration.ProjectProcessType;
import com.hz.pm.api.projectlib.model.enumeration.InstTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * <p>
 *
 * </p>
 *
 * @author Poffy
 * @since 2023-02-13
 */
@Builder
@TableName("nd_project_inst")
@Data
@ApiModel(value = "NdProjectInst对象")
public class ProjectInst implements Serializable {

    private static final long serialVersionUID = 1L;

    @Tolerate
    public ProjectInst() {
        // no-op
    }

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("实例ID")
    private String instCode;

    @ApiModelProperty("实例类型 1单位内部审批流程 2项目预审审批流程 3部门联合审批流程 4建设方案审批流程 5验收申报审批流程")
    private Integer instType;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    public void setInstType(InstTypeEnum instType) {
        this.instType = instType.getCode();
    }

    public void setInstType(ProjectProcessType processStage) {
        this.instType = processStage.getCode();
    }

    public void setInstType(Integer instType) {
        this.instType = instType;
    }

}
