package com.hz.pm.api.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-02-27
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("nd_project_status_change")
@ApiModel(value = "NdProjectStatusChange对象")
public class ProjectStatusChange implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("状态机执行前的项目状态")
    private Integer beforeStatus;

    @ApiModelProperty("状态机执行后的项目状态")
    private Integer afterStatus;

    @ApiModelProperty("状态变更对应的事件")
    private String event;

    @ApiModelProperty("状态变更发生的时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("项目code")
    private String projectCode;


}
