package com.hz.pm.api.projectlib.model.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Optional;

/**
 * <p>
 * MhSystemReplaceType
 * </p>
 *
 * @author WendyYang
 * @since 11:18 2024/8/31
 */
@Getter
@AllArgsConstructor
public enum MhSystemReplaceType {

    // IM:改造提升 IT:综合集成 NE:自然淘汰

    IM("IM", "改造提升"),
    IT("IT", "综合集成"),
    NE("NE", "自然淘汰");

    private final String code;
    private final String desc;


    public boolean eq(String code) {
        return this.code.equals(code);
    }

    public static String getDesc(String code) {
        for (MhSystemReplaceType value : MhSystemReplaceType.values()) {
            if (value.getCode().equals(code)) {
                return value.getDesc();
            }
        }
        return null;
    }

    public static Optional<MhSystemReplaceType> getByCode(String code) {
        for (MhSystemReplaceType value : MhSystemReplaceType.values()) {
            if (value.getCode().equals(code)) {
                return Optional.of(value);
            }
        }
        return Optional.empty();
    }

}
