package com.hz.pm.api.projectlib.model.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.util.Objects;

/**
 * <p>
 * ProjectTypeEnum
 * </p>
 *
 * @author Poffy
 * @since 16:56 2023/2/11
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
public enum ProjectTypeEnum {

    RECONSTRUCTION("改造提升", 1),
    COMPREHENSIVE_INTEGRATION("综合集成", 2),
    NEW_BUILT("新增", 3);

    private String desc;
    private Integer code;

    public static String getDesc(Integer code) {
        if (Objects.isNull(code)) {
            return StringUtils.EMPTY;
        }
        for (ProjectTypeEnum t : ProjectTypeEnum.values()) {
            if (code.equals(t.getCode())) {
                return t.desc;
            }
        }
        return StringUtils.EMPTY;
    }
}
