package com.hz.pm.api.projectlib.model.enumeration;

import com.hz.pm.api.projectlib.model.enumeration.status.IStatus;
import com.ningdatech.basic.exception.BizException;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * QxProjectStatus
 * </p>
 *
 * @author WendyYang
 * @since 14:37 2024/8/31
 */
@Getter
@AllArgsConstructor
public enum QxProjectStatus implements IStatus<Integer, String> {

    DECLARED(100, "已立项"),
    PURCHASED(200, "已采购"),
    UPGRADED(300, "已改造"),
    ACCEPTED(400, "已验收");

    private final Integer code;
    private final String desc;

    public static QxProjectStatus getNoNull(Integer code) {
        for (QxProjectStatus status : values()) {
            if (status.getCode().equals(code)) {
                return status;
            }
        }
        throw BizException.wrap("项目状态无效：%s", code);
    }

}
