package com.hz.pm.api.projectlib.model.enumeration.status;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * ProjectStoppedStatus
 * </p>
 *
 * @author WendyYang
 * @since 16:53 2024/8/5
 */
@Getter
@AllArgsConstructor
public enum ProjectStoppedStatus implements IStatus<Integer, String> {

    /**
     * 项目终止
     */
    ON_STOPPED_APPLY(40001, "项目终止审核中"),
    STOPPED_PASSED(40002, "项目终止审核通过"),
    STOPPED_AUTO_PASSED(40004, "项目终止审核通过"),
    STOPPED_FAILED(40003, "项目终止审核不通过");

    private final Integer code;
    private final String desc;

}
