package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 区县项目采购信息实体
 * </p>
 *
 * @author WendyYang
 * @since 2024-08-31
 */
@Data
@ApiModel(value = "QxPurchase对象")
public class QxPurchaseRecordReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("采购预算")
    @NotNull(message = "采购预算不能为空")
    private BigDecimal purchaseBudget;

    @ApiModelProperty("采购方式")
    @NotBlank(message = "采购方式不能为空")
    private String purchaseMethod;

    @ApiModelProperty("采购单位名称")
    @NotBlank(message = "采购单位名称不能为空")
    private String purchaseUnitName;

    @ApiModelProperty("采购内容")
    private String buildContent;

    @ApiModelProperty("合同签订时间")
    private LocalDate contractSignDate;

    @ApiModelProperty("合同金额")
    private BigDecimal contractAmount;

    @ApiModelProperty("供应商")
    private String supplier;

    @ApiModelProperty("供应商联系人")
    private String supplierContact;

    @ApiModelProperty("供应商联系方式")
    private String supplierContactInfo;

    @ApiModelProperty("采购方案文件")
    private String purchasePlanFile;

    @ApiModelProperty("招标文件")
    private String inviteTenderFile;

    @ApiModelProperty("投标文件")
    private String biddingFile;

    @ApiModelProperty("采购合同文件")
    private String purchaseContractFile;

    @ApiModelProperty("其他文件")
    private String otherFile;

}
