package com.hz.pm.api.projectlib.model.req;

import com.hz.pm.api.projectlib.model.dto.QxProjectSystemReplaceInfosDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * QxUpgradeRecordReq
 * </p>
 *
 * @author WendyYang
 * @since 11:44 2024/8/31
 */
@Data
public class QxUpgradeRecordReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @Valid
    @ApiModelProperty("综合集成改造提升信息")
    @NotEmpty(message = "综合集成改造提升信息不能为空")
    private List<QxProjectSystemReplaceInfosDTO> systemReplaceInfos;

}
