package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * SubmitProjectStoppedApplyReq
 * </p>
 *
 * @author WendyYang
 * @since 11:07 2024/8/5
 */
@Data
@Builder
public class SubmitProjectStoppedApplyReq {

    @Tolerate
    public SubmitProjectStoppedApplyReq() {
        // 默认构造方法
    }

    @ApiModelProperty(value = "项目id")
    @NotNull(message = "项目id不能为空")
    private Long projectId;

    @ApiModelProperty(value = "项目终止原因")
    @NotBlank(message = "项目终止原因不能为空")
    private String stoppedReason;

    @ApiModelProperty(value = "项目终止附件")
    private String stoppedFiles;

}
