package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Classname AnnualAmountVO
 * @Description
 * @Date 2023/2/17 13:37
 * @Author PoffyZhang
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AnnualAmountVO {

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目Code")
    private String projectCode;

    @ApiModelProperty("年份")
    private Integer projectYear;

    @ApiModelProperty("年度投资资金")
    private BigDecimal annualAmount;

    @ApiModelProperty("自有资金")
    private BigDecimal haveAmount;

    @ApiModelProperty("政府投资 本级财务金额")
    private BigDecimal govOwnFinanceAmount;

    @ApiModelProperty("政府投资 上级财务金额")
    private BigDecimal govSuperiorFinanceAmount;

    @ApiModelProperty("银行贷款金额")
    private BigDecimal bankLendingAmount;

    @ApiModelProperty("其它金额")
    private BigDecimal otherAmount;
}
