package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * ConstructionDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 10:22 2024/3/8
 */
@Data
public class ConstructionDetailVO {

    @ApiModelProperty(value = "迁移上云信息系统数量")
    private int cloudSystemNum;

    @ApiModelProperty(value = "本地部署非涉密信息系统数量")
    private Integer fsmLocalSystemNum;

    @ApiModelProperty(value = "更新购置非涉密服务器数量")
    private Integer fsmServerNum;

    @ApiModelProperty(value = "更新购置非涉密数据库数量")
    private Integer fsmUpdateDbNum;

    @ApiModelProperty(value = "更新购置非涉密中间件数量")
    private Integer fsmUpdateMiddleNum;

    @ApiModelProperty(value = "vCPU(核数)")
    private Integer hostCpuNum;

    @ApiModelProperty(value = "内存(GB)")
    private Integer hostMemoryNum;

    @ApiModelProperty(value = "信创云虚拟主机数量")
    private Integer hostNum;

    @ApiModelProperty(value = "存储(GB)")
    private Integer hostStoreNum;

    @ApiModelProperty(value = "总投资预算金额(万元)")
    private BigDecimal money;

    @ApiModelProperty(value = "本地部署涉密信息系统数量")
    private Integer smLocalSystemNum;

    @ApiModelProperty(value = "更新购置涉密服务器数量")
    private Integer smServerNum;

    @ApiModelProperty(value = "更新购置涉密数据库数量")
    private Integer smUpdateDbNum;

    @ApiModelProperty(value = "更新购置涉密中间件数量")
    private Integer smUpdateMiddleNum;

    @ApiModelProperty(value = "信创云数据库数量")
    private Integer xcDbNum;

    @ApiModelProperty(value = "信创云中间件数量")
    private Integer xcMiddleNum;

}
