package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * 信产立项备案
 * </p>
 *
 * @author WendyYang
 * @since 00:39 2024/1/31
 */
@Data
public class MhProjectBaseInfoVO {

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String declaredUnit;

    @ApiModelProperty("申报单位ID")
    private Long declaredUnitId;

    @ApiModelProperty("申报单位社会信用代码")
    private String declaredUnitUnifiedSocialCreditCode;

    @ApiModelProperty("总投资")
    private BigDecimal totalInvestAmount;

    @ApiModelProperty("总投资预算金额")
    private BigDecimal totalInvestBudgetAmount;

    @ApiModelProperty("评审预算金额")
    private BigDecimal reviewInvestAmount;

    @ApiModelProperty("id")
    private Long mhProjectId;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编码")
    private String projectCode;

}
