package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * <p>
 * 区县系统改造情况
 * </p>
 *
 * @author WendyYang
 * @since 2024-08-31
 */
@Data
@ApiModel(value = "QxProjectSystemReplaceInfos对象")
public class QxProjectSystemReplaceInfosVO {

    private Long id;

    @ApiModelProperty("源系统ID")
    private String sourceSystemIds;

    @ApiModelProperty("源系统名称")
    private String sourceSystemNames;

    @ApiModelProperty("替代后系统名称")
    private String targetSystemName;

    @ApiModelProperty("替换类型")
    private String replaceType;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("是否等保评估")
    private Boolean hasSecurityEval;

    @ApiModelProperty("等保评估时间")
    private LocalDate securityEvalDate;

    @ApiModelProperty("等保评估文件")
    private String securityEvalFile;

    @ApiModelProperty("是否XCFHX评估")
    private Boolean hasXcfhxEval;

    @ApiModelProperty("XCFHX评估时间")
    private LocalDate xcfhxEvalDate;

    @ApiModelProperty("XCFHX评估文件")
    private String xcfhxEvalFile;

    @ApiModelProperty("服务范围")
    private Integer serviceScope;

    @ApiModelProperty("系统简介")
    private String systemIntroduction;

    @ApiModelProperty("是否IRS登记")
    private Boolean hasIrsRegist;

    @ApiModelProperty("IRS编码")
    private String irsAppCode;

    @ApiModelProperty("联系人")
    private String contact;

    @ApiModelProperty("联系方式")
    private String contactPhone;

    @ApiModelProperty("是否保密")
    private Boolean isSecret;

    @ApiModelProperty("ECS数量")
    private Integer ecsNum;

}
