package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * 区县项目信息实体
 * </p>
 *
 * @author WendyYang
 * @since 2024-08-31
 */
@Data
@ApiModel(value = "QxProject对象")
public class QxProjectVO {

    private Long id;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @ApiModelProperty("建设单位代码")
    private Long buildOrgCode;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    @ApiModelProperty("联系人")
    private String contactName;

    @ApiModelProperty("联系方式")
    private String contactPhone;

    @ApiModelProperty("领域")
    private Integer unitStrip;

    @ApiModelProperty("建设方案")
    private String constructionPlanFile;

    @ApiModelProperty("立项批复文件")
    private String approvedFile;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

}
