package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hz.pm.api.common.model.constant.BizConst;
import com.hz.pm.api.projectlib.model.entity.MhProjectSchemaTargetData;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectlib.model.vo.ConstructionDetailVO;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-01-30
 */
public interface IMhProjectSchemaTargetDataService extends IService<MhProjectSchemaTargetData> {

    default MhProjectSchemaTargetData getByMhProjectId(Long mhProjectId) {
        Wrapper<MhProjectSchemaTargetData> query = Wrappers.lambdaQuery(MhProjectSchemaTargetData.class)
                .eq(MhProjectSchemaTargetData::getMhProjectId, mhProjectId)
                .last(BizConst.LIMIT_1);
        return getOne(query);
    }

}
