package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectlib.model.entity.ProjectAnnualPaymentPlan;
import com.ningdatech.basic.util.CollUtils;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 年度支付计划-服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-02-21
 */
public interface IProjectAnnualPaymentPlanService extends IService<ProjectAnnualPaymentPlan> {

    default void remove(String projectCode, Integer projectVersion) {
        remove(Wrappers.lambdaQuery(ProjectAnnualPaymentPlan.class)
                .eq(ProjectAnnualPaymentPlan::getProjectCode, projectCode)
                .eq(ProjectAnnualPaymentPlan::getProjectVersion, projectVersion));
    }

    default Map<Long, List<ProjectAnnualPaymentPlan>> listByProjectIds(Collection<Long> projectIds) {
        LambdaQueryWrapper<ProjectAnnualPaymentPlan> query = Wrappers.lambdaQuery(ProjectAnnualPaymentPlan.class)
                .in(ProjectAnnualPaymentPlan::getProjectId, projectIds)
                .orderByAsc(ProjectAnnualPaymentPlan::getPaymentYear);
        return CollUtils.group(list(query), ProjectAnnualPaymentPlan::getProjectId);
    }

    default List<ProjectAnnualPaymentPlan> listByProjectId(Long projectId) {
        LambdaQueryWrapper<ProjectAnnualPaymentPlan> query = Wrappers.lambdaQuery(ProjectAnnualPaymentPlan.class)
                .eq(ProjectAnnualPaymentPlan::getProjectId, projectId)
                .orderByAsc(ProjectAnnualPaymentPlan::getPaymentYear);
        return list(query);
    }

}
