package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hz.pm.api.projectlib.model.entity.Project;
import com.hz.pm.api.projectlib.model.entity.ProjectApplication;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-05
 */
public interface IProjectApplicationService extends IService<ProjectApplication> {

    List<ProjectApplication> getApplicationsByProject(Project project);

    void saveApplication(Project project, Project oldProject, Boolean isConstruct);

    default List<ProjectApplication> listByProjectId(Long projectId) {
        return list(Wrappers.lambdaQuery(ProjectApplication.class)
                .eq(ProjectApplication::getProjectId, projectId));
    }

    default List<ProjectApplication> list(String projectCode, Integer version, Boolean isConstruct) {
        return list(Wrappers.lambdaQuery(ProjectApplication.class)
                .eq(ProjectApplication::getProjectCode, projectCode)
                .eq(ProjectApplication::getProjectVersion, version)
                .eq(ProjectApplication::getIsConstruct, isConstruct));
    }

    default void remove(String projectCode, Integer projectVersion) {
        remove(Wrappers.lambdaQuery(ProjectApplication.class)
                .eq(ProjectApplication::getProjectCode, projectCode)
                .eq(ProjectApplication::getProjectVersion, projectVersion));
    }

}
