package com.hz.pm.api.safety.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 安全人员信息
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "PersonSafetyInfo对象", description = "安全人员信息")
public class PersonSafetyInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目编号")
    @NotBlank(message = "项目编号不能为空")
    private String projectCode;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("人员姓名")
    private String username;

    @ApiModelProperty("调查报告")
    private String investigationReport;

    @ApiModelProperty("联系方式")
    private String contactInfo;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;
}
