package com.hz.pm.api.safety.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 供应商安全资质
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@ApiModel(value = "SupplierSafetyQualification对象", description = "供应商安全资质")
public class SupplierSafetyQualificationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目编号")
    @NotBlank(message = "项目编号不能为空")
    private String projectCode;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("安全资质")
    private String safetyQualification;

    @ApiModelProperty("安全协议")
    private String safetyProtocol;

    @ApiModelProperty("供应商名称")
    private String supplierName;

    @ApiModelProperty("厂商人员名称")
    private String username;

    @ApiModelProperty("联系方式")
    private String contactInfo;
}
