package com.hz.pm.api.safety.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 安全人员信息
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@TableName("nd_person_safety_info")
@ApiModel(value = "PersonSafetyInfo对象", description = "安全人员信息")
public class PersonSafetyInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("人员姓名")
    private String username;

    @ApiModelProperty("调查报告")
    private String investigationReport;

    @ApiModelProperty("联系方式")
    private String contactInfo;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;
}
