package com.hz.pm.api.scheduler.task;

import lombok.RequiredArgsConstructor;
import org.springframework.core.env.Environment;

/**
 * <p>
 * ReminderTask
 * </p>
 *
 * @author WendyYang
 * @since 13:20 2024/3/14
 */
@RequiredArgsConstructor
public abstract class AbstractReminderTask {

    public static final String PREFIX = "reminder-task";
    public static final String CRON = "cron";
    public static final String OPEN = "open";

    public final Environment environment;


    public abstract String getTaskPropertyName();

    public abstract void execute();

    public boolean open() {
        String property = PREFIX + "." + getTaskPropertyName() + "." + OPEN;
        Boolean value = environment.getProperty(property, Boolean.class);
        return value != null && value;
    }

    public String cron() {
        String property = PREFIX + "." + getTaskPropertyName() + "." + CRON;
        return environment.getProperty(property, String.class);
    }

}
