package com.hz.pm.api.scheduler.task;

import com.hz.pm.api.common.util.ThreadPoolUtil;
import lombok.RequiredArgsConstructor;
import org.springframework.scheduling.support.CronTrigger;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;

/**
 * <p>
 * ReminderTaskContext
 * </p>
 *
 * @author WendyYang
 * @since 17:06 2024/4/17
 */
@Component
@RequiredArgsConstructor
public class ReminderTaskContext {

    private final List<AbstractReminderTask> reminderTasks;

    @PostConstruct
    public void initReminderTask() {
        for (AbstractReminderTask task : reminderTasks) {
            // 初始化立项备案提醒任务
            if (task.open()) {
                String cron = task.cron();
                ThreadPoolUtil.SCHEDULER.schedule(task::execute, trigger -> {
                    CronTrigger cronTrigger = new CronTrigger(cron);
                    return cronTrigger.nextExecutionTime(trigger);
                });
            }
        }
    }


}
