package com.hz.pm.api.staging.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Classname ProjectStaging
 * @Description
 * @Date 2023/2/20 9:40
 * @Author PoffyZhang
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("nd_project_staging")
@ApiModel(value = "ProjectStaging", description = "项目暂存表 扫描进行 状态继续流转 做解耦用")
public class ProjectStaging implements Serializable {

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("实例code")
    private String instCode;

    @ApiModelProperty("流程状态")
    private Integer processStatus;

    @ApiModelProperty("项目阶段")
    private Integer stage;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("重试次数")
    private Integer retryTimes;

    @ApiModelProperty("是否死信")
    private Boolean dead;

    @ApiModelProperty("下次扫描时间")
    private LocalDateTime nextTime;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;
}
