package com.hz.pm.api.sys.controller;

import com.hz.pm.api.sys.manage.OrgProcDefManage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * OrgProcDefController
 * </p>
 *
 * @author WendyYang
 * @since 21:33 2024/3/6
 */
@Api(tags = "单位流程管理")
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/org/procdef")
public class OrgProcDefController {

    private final OrgProcDefManage orgProcDefManage;

    @ApiOperation(value = "单位流程配置初始化")
    @GetMapping("/init")
    public String init() {
        return orgProcDefManage.initAllUnits();
    }

}
