package com.hz.pm.api.sys.controller;

import com.hz.pm.api.sys.manage.StagingManage;
import com.hz.pm.api.sys.model.dto.StagingDTO;
import com.hz.pm.api.sys.model.enumeration.StagingType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * 通用暂存前端控制器
 * </p>
 *
 * @author WendyYang
 * @since 2024-03-25
 */
@Api(tags = "通用暂存控制器")
@RestController
@AllArgsConstructor
@RequestMapping("/api/v1/staging")
public class StagingController {

    private final StagingManage stagingManage;

    @PostMapping("/save")
    @ApiOperation("保存暂存")
    public void saveStaging(@Valid @RequestBody StagingDTO staging) {
        stagingManage.save(staging);
    }

    @ApiOperation("获取暂存详情")
    @GetMapping(value = {"/detail/{type}", "/detail/{type}/{bizId}"})
    public StagingDTO detail(@PathVariable StagingType type, @PathVariable(required = false) String bizId) {
        return stagingManage.detail(type, bizId);
    }

}
