package com.hz.pm.api.sys.controller;

import com.hz.pm.api.sys.manage.UserGuidanceManage;
import com.hz.pm.api.sys.model.vo.UserGuidanceVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * UserGuidanceController
 * </p>
 *
 * @author WendyYang
 * @since 12:24 2024/4/11
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/sys/user-guidanc")
@Api(tags = "用户引导")
@RequiredArgsConstructor
public class UserGuidanceController {

    private final UserGuidanceManage userGuidanceManage;

    @ApiOperation("获取当前用户单位的一些配置是否完成")
    @GetMapping("/detail")
    public UserGuidanceVO detail() {
        return userGuidanceManage.userGuidanceDetail();
    }

}
