package com.hz.pm.api.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.hz.pm.api.sys.model.entity.WflowEarlyWarningRecords;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 */
@Repository
public interface EarlyWarningRecordsMapper extends BaseMapper<WflowEarlyWarningRecords> {


    @Select("SELECT * FROM (SELECT *, ROW_NUMBER() OVER (PARTITION BY PROJECT_CODE ORDER BY WARN_TIME DESC) AS row_no FROM WFLOW_EARLY_WARNING_RECORDS ${ew.customSqlSegment}) t WHERE row_no = 1")
    List<WflowEarlyWarningRecords> selectProjectLastWarningRecords(@Param(Constants.WRAPPER) LambdaQueryWrapper<WflowEarlyWarningRecords> ew);

}
