package com.hz.pm.api.sys.model.dto;

import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * @author liuxinxin
 * @date 2022/7/22 上午9:12
 */
@Data
@Builder
public class RegionDTO {

    @Tolerate
    public RegionDTO() {
        // 默认无参构造
    }

    /**
     * 区域码
     */
    private String regionCode;

    /**
     * 地区名
     */
    private String regionName;

    /**
     * 地区级别
     */
    private Integer regionLevel;

    /**
     * 地区父级code 当parent_code 为 -1 时为顶级区域
     */
    private String parentCode;

    /**
     * 唯一编码：regionCode##regionName##regionLevel
     */
    private String unionCode;

    private Long id;

    private Boolean deleted;

    private String govUnit;

    private Long parentId;

    private String regionCodePath;

    public void unionCode() {
        this.unionCode = String.format("%s##%s##%s", this.regionCode, this.regionName, this.regionLevel);
    }

}
