package com.hz.pm.api.sys.model.dto;

import com.hz.pm.api.sys.model.enumeration.StagingType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * StagingDTO
 * </p>
 *
 * @author WendyYang
 * @since 14:24 2024/3/25
 */
@Data
public class StagingDTO {

    @ApiModelProperty("暂存ID")
    private Long id;

    @ApiModelProperty("唯一业务标识")
    private String bizId;

    @ApiModelProperty("暂存类型")
    @NotNull(message = "暂存类型不能为空")
    private StagingType type;

    @ApiModelProperty("暂存内容")
    @NotBlank(message = "暂存内容不能为空")
    private String content;

}
