package com.hz.pm.api.sys.model.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 通用字段， is_del 根据需求自行添加
 * </p>
 *
 * @author WendyYang
 * @since 11:01 2023/1/28
 */
@Getter
@Setter
public class BaseEntity implements Serializable {

    @ApiModelProperty("创建人userId")
    @TableField(fill = FieldFill.INSERT)
    protected Long createBy;

    @ApiModelProperty("最后修改人userId")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    protected Long updateBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    protected LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    protected LocalDateTime updateOn;

}
