package com.hz.pm.api.sys.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.hz.pm.api.sys.model.enumeration.BizTypeEnum;
import com.hz.pm.api.sys.model.enumeration.SubmitTypeEnum;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 短信语音记录表
 * </p>
 *
 * @author WendyYang
 * @since 2024-04-25
 */
@Data
@TableName("ND_MSG_CALL_RECORD")
@ApiModel(value = "NdMsgCallRecord对象")
public class MsgCallRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    /**
     * 业务类型
     */
    private BizTypeEnum bizType;

    /**
     * 提交标识
     */
    private String submitKey;

    /**
     * 提交类型
     */
    private SubmitTypeEnum submitType;

    /**
     * 接收手机号
     */
    private String receivePhone;

    /**
     * 短信内容
     */
    private String content;

    /**
     * 模板编码
     */
    private String templateCode;

    /**
     * 是否需要回复
     */
    private Boolean needReply;

    /**
     * 发送状态:
     */
    private SendStatus sendStatus;

    /**
     * 回复状态
     */
    private ReplyStatus replyStatus;

    /**
     * 回复内容
     */
    private String replyContent;

    /**
     * 失败原因
     */
    private String errorRemark;

    /**
     * 语音时长
     */
    private Integer duration;

    /**
     * 回复时间
     */
    private LocalDateTime replyOn;


    /**
     * 发送状态
     */
    public enum SendStatus {

        SUCCESS,

        FAILED

    }

    /**
     * 发送状态
     */
    public enum ReplyStatus {

        SUCCESS,

        WAITING,

        OVERTIME,

        FAILED

    }

}
