package com.hz.pm.api.sys.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 系统通知
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-21
 */
@Data
@TableName("nd_notice")
@ApiModel(value = "SysNotice对象", description = "系统通知")
public class Notice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("消息类型")
    private Integer type;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("启用禁用")
    private Boolean enabled;

    @ApiModelProperty("附件ID")
    private String attachment;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty("是否删除")
    @TableLogic
    private Boolean deleted;

    @ApiModelProperty("置顶时间")
    private LocalDateTime toppedTime;

    @ApiModelProperty("权限控制 0所有人可看 1区域可看 2单位可看")
    private Integer permissions;

    @ApiModelProperty("权限值")
    private String permissionsValue;
}
