package com.hz.pm.api.sys.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 通知
 * </p>
 *
 * @author zpf
 * @since 2023-03-21
 */
@Data
@TableName("nd_notifys")
@ApiModel(value = "消息通知", description = "消息通知")
public class Notify implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("消息类型")
    private String type;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("是否已读")
    private Boolean readed;

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("link")
    private String link;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("其他业务信息")
    private String extraInfo;

}
