package com.hz.pm.api.sys.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * <p>
 * WarningListReq
 * </p>
 *
 * @author ZPF
 * @since 00:32 2022/7/23
 */
@Data
@ApiModel("预警记录查询参数类")
@EqualsAndHashCode(callSuper = true)
public class WarningListReq extends PagePo {

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String buildOrgName;

    @ApiModelProperty("申报单位code")
    private String buildOrgCode;

    @ApiModelProperty("提醒开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("提醒结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @ApiModelProperty("区域Code")
    private String areaCode;

    @ApiModelProperty("单位ID")
    private Long mhUnitId;
}