package com.hz.pm.api.sys.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 实体类
 * 菜单
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-9-30
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "MenuVO", description = "菜单")
@AllArgsConstructor
@Builder
public class MenuVO {

    /**
     * 权限"
     */
    @ApiModelProperty(value = "权限")
    private String permission;
    /**
     * 类型;[0-菜单 1按钮]
     */
    @ApiModelProperty(value = "类型")
    private Integer type;

    /**
     * 组件
     */
    @ApiModelProperty(value = "组件")
    private String component;

    /**
     * 菜单图标
     */
    @ApiModelProperty(value = "菜单图标")
    private String icon;

    /**
     * 子菜单数目
     */
    @ApiModelProperty(value = "是否隐藏")
    private Integer hidden;

    /**
     * activeMenu
     */
    @ApiModelProperty(value = "activeMenu")
    private String activeMenu;

    /**
     * 跳转
     */
    @ApiModelProperty(value = "跳转")
    @TableField(value = "redirect")
    private String redirect;
}
