package com.hz.pm.api.sys.model.vo;

import com.hz.pm.api.sys.model.dto.MenuDataScopeDTO;
import com.hz.pm.api.sys.model.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 * 实体类
 * 角色
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-09-30
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "Role", description = "角色")
@AllArgsConstructor
@Builder
public class RoleVO extends BaseEntity {

    private Long id;

    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty("管理角色ID")
    private List<Long> manageRoleIdList;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;

    @ApiModelProperty("是否是内置角色：true 是、false 否")
    private Boolean fixed;

    @ApiModelProperty("菜单数据权限")
    private List<MenuDataScopeDTO> menuDataScopeList;

    /**
     * 菜单
     */
    @ApiModelProperty(value = "菜单")
    private List<MenuRoleVO> menu;
}
