package com.hz.pm.api.sys.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hz.pm.api.external.todo.enumerization.MHTodoTypeEnum;
import com.hz.pm.api.sys.model.entity.MhTodoRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 信产待办发送记录 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-03-12
 */
public interface IMhTodoRecordService extends IService<MhTodoRecord> {

    default MhTodoRecord getOne(MHTodoTypeEnum type, String bizId) {
        Wrapper<MhTodoRecord> query = Wrappers.lambdaQuery(MhTodoRecord.class)
                .eq(MhTodoRecord::getType, type.name())
                .eq(MhTodoRecord::getBizId, bizId);
        return getOne(query);
    }

    default List<MhTodoRecord> list(MHTodoTypeEnum type, Collection<String> bizIds) {
        Wrapper<MhTodoRecord> query = Wrappers.lambdaQuery(MhTodoRecord.class)
                .eq(MhTodoRecord::getType, type.name())
                .in(MhTodoRecord::getBizId, bizIds);
        return list(query);
    }

}
