package com.hz.pm.api.todocenter.model.req;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 待办中心-列表查询实体信息
 *
 * @author zpf
 * @since 2023/02/19 16:01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ToBeProcessedReq extends PagePo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目名称")
    private String projectName;

    private Long userId;

    @ApiModelProperty("申报单位名称")
    private String buildOrgName;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime createOnMin;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime createOnMax;

    @ApiModelProperty(value = "是否增补项目")
    private Integer isTemporaryAugment;

    @ApiModelProperty("流程配置ID")
    private String processDefId;

    private Long loginUserId;

}
