package com.hz.pm.api.user.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * <p>
 *
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-01
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("nd_user_info")
@ApiModel(value = "UserInfo对象")
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 信创系统用户ID
     */
    private String mhUserId;

    private String username;

    private String mobile;

    private String realName;

    private Long accountId;

    private String wechatOpenId;

    /**
     * 账号状态
     */
    private String available;

    private String employeeCode;

    private Long mhUnitId;

    private String mhUnitName;

    @ApiModelProperty("头像")
    private String avatar;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
