package com.hz.pm.api.user.model.po;

import com.hz.pm.api.user.model.vo.UserRoleVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/2/15 上午8:43
 */
@Data
@ApiModel("用户详情编辑请求")
public class ReqUserDetailEditPO {

    @NotNull(message = "用户id 不能为空")
    @ApiModelProperty("userId")
    private Long userId;

    @NotBlank(message = "用户手机号不能为空")
    @ApiModelProperty("手机号")
    private String phoneNo;

    @NotBlank(message = "状态不能为空")
    @ApiModelProperty("状态 启用 ENABLE/禁用 DISABLE")
    private String status;

    @ApiModelProperty("用户角色信息列表")
    private List<UserRoleVO> userRoleInfoList;
}
