package com.hz.pm.api.user.model.vo;

import com.hz.pm.api.external.model.enumeration.MhUnitStripEnum;
import com.hz.pm.api.external.model.enumeration.MhUnitTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * MhUnitListVO
 * </p>
 *
 * @author WendyYang
 * @since 10:20 2024/1/15
 */
@Data
public class MhUnitListVO {

    @ApiModelProperty("单位ID")
    private Long id;

    @ApiModelProperty("单位名称")
    private String name;

    @ApiModelProperty("单位简称")
    private String shortName;

    @ApiModelProperty("上级单位ID")
    private Long parentId;

    @ApiModelProperty("排序号")
    private Short sort;

    @ApiModelProperty("条线")
    private MhUnitStripEnum strip;

    @ApiModelProperty("条线名称")
    private String stripName;

    @ApiModelProperty("单位类型")
    private MhUnitTypeEnum type;

    @ApiModelProperty("单位类型名称")
    private String typeName;

    @ApiModelProperty("统一社会信用代码")
    private String unifiedSocialCreditCode;

}
