package com.hz.pm.api.user.security.auth.checker;

import cn.hutool.core.collection.CollUtil;
import com.hz.pm.api.user.model.enumeration.UserAvailableEnum;
import com.hz.pm.api.user.security.exception.BizLoginException;
import com.hz.pm.api.user.security.model.UserFullInfoDTO;

import java.util.Objects;

/**
 * <p>
 * UserLoginHelper
 * </p>
 *
 * @author WendyYang
 * @since 09:21 2024/9/6
 */
public class UserLoginChecker {

    private UserLoginChecker() {
    }

    public static void checkLoginAuth(UserFullInfoDTO user) {
        if (Objects.isNull(user)) {
            throw new BizLoginException("用户不存在");
        }
        if (user.getMhUnitId() == null || user.getMhUnitId() < 0) {
            throw BizLoginException.wrap("暂无登录权限");
        }
        if (UserAvailableEnum.DISABLE.equals(user.getAvailable())) {
            throw new BizLoginException("账号已禁用");
        }
        if (CollUtil.isEmpty(user.getUserRoleList())) {
            throw new BizLoginException("账号未配置角色");
        }
    }


}
