package com.hz.pm.api.user.security.auth.code;


import com.hz.pm.api.common.helper.UserInfoHelper;
import com.hz.pm.api.user.convert.UserInfoConvertor;
import com.hz.pm.api.user.security.auth.checker.UserLoginChecker;
import com.hz.pm.api.user.security.model.UserFullInfoDTO;
import com.hz.pm.api.user.security.model.UserInfoDetails;
import lombok.RequiredArgsConstructor;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

/**
 * <p>
 * AuthCodeLoginUserDetailService
 * </p>
 *
 * @author WendyYang
 * @since 15:57 2024/1/4
 */
@Service("authCodeLoginUserDetailService")
@RequiredArgsConstructor
public class AuthCodeLoginUserDetailService implements UserDetailsService {

    private final UserInfoHelper userInfoHelper;

    @Override
    public UserInfoDetails loadUserByUsername(String username) throws UsernameNotFoundException {
        Long userId = Long.parseLong(username);
        UserFullInfoDTO user = userInfoHelper.getUserFullInfo(userId);
        UserLoginChecker.checkLoginAuth(user);
        return UserInfoConvertor.convert(user);
    }

}
