package com.hz.pm.api.workbench.model;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * WorkbenchProcessNode
 * </p>
 *
 * @author WendyYang
 * @since 11:42 2024/8/14
 */
@Getter
@AllArgsConstructor
public enum WorkbenchProcessNode {

    PROJECT_DECLARED("已申报", 1),
    PROJECT_REVIEW("已评审通过", 2),
    APPROVAL_AMOUNT("资金已下达", 3),
    PROJECT_APPROVAL("已立项", 4),
    PROJECT_PURCHASE("已采购", 5),
    PROJECT_ADAPTION("已适配改造", 6),
    FIRST_INSPECTED("已初验", 9),
    FINAL_INSPECTED("已终验", 12);


    private final String name;
    private final Integer order;

    public static final List<WorkbenchProcessNode> ALL = Arrays.stream(WorkbenchProcessNode.values())
            .sorted(Comparator.comparingInt(WorkbenchProcessNode::getOrder))
            .collect(Collectors.toList());

}