package com.hz.pm.api.workbench.model.vo;

import com.hz.pm.api.workbench.model.WorkbenchProcessNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * ProjectProcessStatsVO
 * </p>
 *
 * @author WendyYang
 * @since 15:28 2024/4/10
 */
@Data
@Builder
public class ProjectProcessStatVO {

    private WorkbenchProcessNode stage;

    private String stageName;

    @ApiModelProperty("项目数量")
    private Integer projectCount;

    @ApiModelProperty("替代前系统数量")
    private Integer sourceCount;

    @ApiModelProperty("替代后系统数量")
    private Integer targetCount;

    @ApiModelProperty("项目终止总数")
    private Integer stoppedCount;

    @ApiModelProperty("项目评审中数量")
    private Integer reviewingCount;

    @ApiModelProperty("项目评审失败数量")
    private Integer reviewFailedCount;

    @ApiModelProperty("适配改造统计")
    private TenderAdaptFinishStatVO adaptFinishStat;

    @Data
    public static class TenderAdaptFinishStatVO {

        @ApiModelProperty("上传开工文件")
        private Integer finishAdaptionInfo;

        @ApiModelProperty("上传自测材料")
        private Integer finishSelfTestCount;

        @ApiModelProperty("上传测试验证材料")
        private Integer finishTestValidCount;

        @ApiModelProperty("单位确认")
        private Integer finishOrgConfirmCount;

    }

}
