package com.hz.pm.api.external;

import com.hz.pm.api.AppTests;
import com.hz.pm.api.common.helper.MsgCallHelper;
import com.hz.pm.api.common.util.EnvironmentUtil;
import com.hz.pm.api.external.model.dto.CallRetDTO;
import com.hz.pm.api.sys.model.enumeration.BizTypeEnum;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;

import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;

import static org.junit.jupiter.api.Assertions.*;

/**
 * <p>
 * MobileCallClientTest
 * </p>
 *
 * @author WendyYang
 * @since 16:34 2024/4/26
 */
class MobileCallClientTest extends AppTests {

    @Autowired
    private MsgCallHelper msgCallHelper;

    String[] phoneNumbers = {
            "19957013396", // 李尧
            // "18054175326", // 赵轩敏
            "15381275208", // 张轩晨
            "13588706094", // 邱大山
            "18157330337", // 章侦干
            // "18158711166", // 朱小青
            // "13034219881", // 吴敏
            "15305711225",  // 马巍
            "17364572214" // 纪泽兵
    };

    @Test
    void sendCall() {
        String format = String.format("尊敬的专家您好，%s现邀请您作为专家参加%s会议，会议时间：%s，会议地点：%s。 确认参加请按 1，拒绝参加请按 2。请您选择，重听请按星号键。",
                "杭州市信创办", "测试智能外呼", "2024年1月1日 12:30", "杭州市上城区市民中心");
        //String ret = msgCallHelper.sendCall("17364572214", format, BizTypeEnum.EXPERT_INVITE);
        String ret = msgCallHelper.sendCall(Arrays.asList(phoneNumbers), format, BizTypeEnum.EXPERT_INVITE);
        System.out.println(ret);
    }

    @Test
    void replyCall() {
        System.out.println(msgCallHelper.callReply("3087578611042095104"));
    }
}